/****************************************************************************
**
** Copyright (C) 2021 The Qt Company Ltd.
** Contact: https://www.qt.io/licensing/
**
** This file is part of Qt Quick Studio Components.
**
** $QT_BEGIN_LICENSE:GPL$
** Commercial License Usage
** Licensees holding valid commercial Qt licenses may use this file in
** accordance with the commercial license agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and The Qt Company. For licensing terms
** and conditions see https://www.qt.io/terms-conditions. For further
** information use the contact form at https://www.qt.io/contact-us.
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU
** General Public License version 3 or (at your option) any later version
** approved by the KDE Free Qt Foundation. The licenses are as published by
** the Free Software Foundation and appearing in the file LICENSE.GPL3
** included in the packaging of this file. Please review the following
** information to ensure the GNU General Public License requirements will
** be met: https://www.gnu.org/licenses/gpl-3.0.html.
**
** $QT_END_LICENSE$
**
****************************************************************************/

import QtQuick 6.2
import QtQuick.Window 6.2
import QtQuick.Layouts

Window {
    id: root
    width: 1080
    height: 1920

    visible: true
    title: "Fridge"
    visibility: "FullScreen"
    color: "black"


    Flickable{
        id: mainwindow
        width: 1080
        height: 1920
        contentWidth: 1080
        contentHeight: 1920
        flickableDirection: Flickable.VerticalFlick
        boundsMovement: Flickable.StopAtBounds
        boundsBehavior: Flickable.StopAtBounds
        anchors.centerIn: parent
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: parent.top

        rotation: -90
        Utils{
            id: utils
        }



        MainPage{
            id: mainPage
            onMenuSelected: controlPanel.open()
            onShoppingSelected: function(){

             mainwindow.openPagePanel("Shopping lists", 2)
            }
            onStorageSelected: function(){

                mainwindow.openPagePanel("Storage", 0)
               }
            onTemperatureSelected: function(){

                mainwindow.openPagePanel("Temperature", 1)
               }
        }


        ControlPanel{
            id: controlPanel
        }


        PagePanel{
            id: pagePanel
        }


        function openPagePanel(title, pageIndex){

            pagePanel.pageName = title;
            pagePanel.currentPage = -1
            pagePanel.currentPage = pageIndex
            pagePanel.open()

        }

    }




}

