import QtQuick
import QtQuick.Controls
import "./FridgeExport"

Item {
    id: root
    width: 1080
    height: 1920

    state: "hidden"

    Rectangle{

        id: background
        color: "#000000"
        opacity: 0
        anchors.fill: parent

        MouseArea{

            anchors.fill: parent
            enabled: root.state==="shown"

        }

    }


    Item{
        id: contentBox
        width: control_panel.width
        height: control_panel.height
        anchors.centerIn: parent

        Fridge_Control_Modal{
            id: control_panel
            anchors.centerIn: parent
            opacity: 0
            onCloseSelected: root.close()
        }
    }
    states: [
        State {
            name: "hidden"
            PropertyChanges {
                target: background
                opacity: 0
            }
            PropertyChanges {
                target: control_panel
                opacity:  0
            }
        },
        State {
            name: "shown"
            PropertyChanges {
                target: background
                opacity: 0.8
            }
            PropertyChanges {
                target: control_panel
                opacity:  1
            }
        }
    ]


    transitions: Transition {
        NumberAnimation { properties: "opacity"; duration: 750 }

    }


    function open(){

        root.state = "shown"
    }


    function close(){

        root.state = "hidden"
    }

}
