import QtQuick
import QtQuick.Controls
import "../FridgeExport"
//import QtQuick.Studio.Components 1.0

Item {
    id: root
    width: 275
    height: 56

    signal deleteSelected()
    signal printSelected()

    Rectangle {
        id: pill
        x: 0
        y: 0
        width: 124
        height: 56
        color: "#00000000"
        radius: 40
        border.color: "#4a85da"
        border.width: 2
        Rectangle {
            id: pill1
            x: 2
            y: 2
            width: 120
            height: 52
            color: "#00000000"
            Rectangle {
                id: base
                x: 0
                y: 0
                width: 120
                height: 52
                visible: false
                color: "#4a85da"
                radius: 26
            }

            Text {
                id: delete1
                color: "#ffffff"
                text: qsTr("Delete ")
                anchors.fill: parent
                font.pixelSize: 20
                horizontalAlignment: Text.AlignHCenter
                verticalAlignment: Text.AlignVCenter
                wrapMode: Text.NoWrap
                anchors.leftMargin: 8
                font.weight: Font.Bold
                font.family: "Inter"
            }
            clip: true
        }

        MouseArea {
            id: mouseArea
            anchors.fill: parent

            Connections {
                target: mouseArea
                onClicked: root.deleteSelected()
            }
        }
        clip: true
    }

    Rectangle {
        id: pill2
        x: 172
        y: 0
        width: 183
        height: 52
        color: "#00000000"
        SvgPathItem {
            id: pressed_animation
            width: 102
            height: 102
            visible: false
            fillColor: "#3d63b4"
            strokeColor: "transparent"
            anchors.centerIn: parent
            anchors.horizontalCenterOffset: 11
            path: "M 102 51 C 102 79.16652297973633 79.16652297973633 102 51 102 C 22.833477020263672 102 0 79.16652297973633 0 51 C 0 22.833477020263672 22.833477020263672 0 51 0 C 79.16652297973633 0 102 22.833477020263672 102 51 Z"
            anchors.verticalCenterOffset: 5
            strokeWidth: 1
        }

        Rectangle {
            id: base1
            x: 0
            y: 0
            width: 183
            height: 52
            color: "#3d63b4"
            radius: 26
        }

        Text {
            id: print1
            x: 28
            color: "#ffffff"
            text: qsTr("Send to app ")
            anchors.fill: parent
            font.pixelSize: 20
            horizontalAlignment: Text.AlignHCenter
            verticalAlignment: Text.AlignVCenter
            wrapMode: Text.NoWrap
            anchors.leftMargin: 8
            font.weight: Font.Bold
            font.family: "Inter"
        }

        MouseArea {
            id: mouseArea1
            anchors.fill: parent

            Connections {
                target: mouseArea1
                onClicked: root.printSelected()
            }
        }
        clip: true
    }
}
