import QtQuick
import QtQuick.Controls

Item {
    id: root
    width: 193
    height: 90
    property int value: -20
    property bool active: false
    property color textColor: "#00BDFF"

    state: "state_active"

    Text {
        id: numberBig
        x: 42
        y: 0
        width: 109
        height: 90
        color: root.textColor
        text: Math.abs(value)
        font.pixelSize: 100
        horizontalAlignment: Text.AlignLeft
        verticalAlignment: Text.AlignVCenter
        wrapMode: Text.NoWrap
        font.weight: Font.Bold
        font.family: "Inter"

        Text {
            id: numberBigSign
            x: -19
            width: 20
            height: 34
            visible: true
            anchors.verticalCenter: parent.verticalCenter

             color: numberBig.color
            text: (value)?((value>0)?"+":"-"):""
            font.pixelSize: 28
            horizontalAlignment: Text.AlignHCenter
            verticalAlignment: Text.AlignVCenter
            wrapMode: Text.NoWrap
            anchors.verticalCenterOffset: 0
            font.weight: Font.Black
            font.family: "Inter"
        }
    }


    states: [
        State {
            name: "state_active"
            when: root.active
        },

        State {
            name: "state_inactive"
              when: !root.active

            PropertyChanges {
                target: numberBigSign
                width: 14
                height: 24
                color: "#678a86"
                font.pixelSize: 20
                anchors.rightMargin: -70
                font.bold: false
            }

            PropertyChanges {
                target: numberBig
                x: 132
                y: 0
                width: 109
                height: 90
                color: "#678a86"
                font.pixelSize: 28
                horizontalAlignment: Text.AlignLeft

            }
        }
    ]
    transitions: [
        Transition {
            id: transition
            ParallelAnimation {
                SequentialAnimation {
                    PauseAnimation {
                        duration: 50
                    }

                    PropertyAnimation {
                        target: numberBig
                        property: "y"
                        duration: 390
                    }
                }

                SequentialAnimation {
                    PauseAnimation {
                        duration: 50
                    }

                    PropertyAnimation {
                        target: numberBig
                        property: "x"
                        duration: 390
                    }
                }

                SequentialAnimation {
                    PauseAnimation {
                        duration: 50
                    }

                    PropertyAnimation {
                        target: numberBig
                        property: "width"
                        duration: 390
                    }
                }

                SequentialAnimation {
                    PauseAnimation {
                        duration: 50
                    }

                    PropertyAnimation {
                        target: numberBig
                        property: "height"
                        duration: 390
                    }
                }

                SequentialAnimation {
                    PauseAnimation {
                        duration: 50
                    }

                    PropertyAnimation {
                        target: numberBig
                        property: "font.pixelSize"
                        duration: 390
                    }
                }

                SequentialAnimation {
                    PauseAnimation {
                        duration: 50
                    }

                    PropertyAnimation {
                        target: numberBig
                        property: "color"
                        duration: 390
                    }
                }
            }

            ParallelAnimation {
                SequentialAnimation {
                    PauseAnimation {
                        duration: 50
                    }

                    PropertyAnimation {
                        target: numberBigSign
                        property: "anchors.rightMargin"
                        duration: 398
                    }
                }

                SequentialAnimation {
                    PauseAnimation {
                        duration: 50
                    }

                    PropertyAnimation {
                        target: numberBigSign
                        property: "width"
                        duration: 398
                    }
                }

                SequentialAnimation {
                    PauseAnimation {
                        duration: 50
                    }

                    PropertyAnimation {
                        target: numberBigSign
                        property: "height"
                        duration: 398
                    }
                }

                SequentialAnimation {
                    PauseAnimation {
                        duration: 50
                    }

                    PropertyAnimation {
                        target: numberBigSign
                        property: "font.pixelSize"
                        duration: 398
                    }
                }

                SequentialAnimation {
                    PauseAnimation {
                        duration: 50
                    }

                    PropertyAnimation {
                        target: numberBigSign
                        property: "color"
                        duration: 398
                    }
                }
            }
            to: "*"
            from: "*"
        }
    ]


}

/*##^##
Designer {
    D{i:0;height:170;width:91}D{i:10;transitionDuration:2000}
}
##^##*/
