import QtQuick
import QtQuick.Controls

Item {
    id: root
    width: 185
    height: 250

    property string foodName: qsTr("Broccoli")
    property int itemsCount: 2
    property string imageSource: ""

    state: "dark_mode"

    signal selected()

    Item{
        width: 150
        height: 221
        anchors.centerIn: parent


    Item {
        id: icon_area
        x: 0
        y: 0
        width: 150
        height: 150

        Image {
            id: base
            x: -1
            y: 0
            source: "../FridgeExport/assets/base_state_style_Dark.svg"
        }

        Image {
            id: broccoli
            source: "../FridgeExport//assets/"+imageSource
            anchors.verticalCenterOffset: 0
            anchors.horizontalCenterOffset: 0
            anchors.centerIn: parent
        }
    }

    Rectangle {
        id: item_name_and_number
        x: 0
        y: 170
        width: 150
        height: 51
        color: "transparent"
        Text {
            id: food_item
            x: 0
            y: 0
            width: 151
            height: 24
            color: "#ffffff"
            text: foodName
            font.pixelSize: 20
            horizontalAlignment: Text.AlignHCenter
            verticalAlignment: Text.AlignVCenter
            wrapMode: Text.NoWrap
            font.weight: Font.Normal
            font.family: "Inter"
        }

        Text {
            id: gadget
            x: 0
            y: 32
            width: 151
            height: 19
            color: "#ffffff"
            text: itemsCount
            font.pixelSize: 16
            horizontalAlignment: Text.AlignHCenter
            verticalAlignment: Text.AlignVCenter
            wrapMode: Text.NoWrap
            font.weight: Font.Normal
            font.family: "Inter"
        }
    }


    MouseArea{
        id: mouseArea
        anchors.fill: parent

        Connections {
            target: mouseArea
            onClicked: root.selected()
        }

    }


    states: [
        State {
            name: "dark_mode"
            when: !utils.lightMode

        },
        State {
            name: "light_mode"
            when: utils.lightMode

            PropertyChanges {
                target: food_item
                color: "#272a2f"
            }

            PropertyChanges {
                target: gadget
                color: "#272a2f"
            }

            PropertyChanges {
                target: base
                source: "../FridgeExport//assets/base_state_style_Light.svg"
            }
        }
    ]



}
}
