import QtQuick 2.8

Item {
    id: fridge_Control_Modal
    width: 737
    height: 649
    property alias qt_Smart_fridgeText: qt_Smart_fridge.text
    property alias control_panelText: control_panel.text

    signal closeSelected()

    Background {
        id: background
        x: 0
        y: 0
        width: 737
        height: 649
        state: "state_mode_Dark"
    }

    Text {
        id: control_panel
        x: 67
        y: 45
        width: 245
        height: 44
        color: "#ffffff"
        text: qsTr("Control panel")
        font.pixelSize: 36
        horizontalAlignment: Text.AlignLeft
        verticalAlignment: Text.AlignVCenter
        wrapMode: Text.NoWrap
        font.weight: Font.Black
        font.family: "Inter"
    }

    Text {
        id: qt_Smart_fridge
        x: 67
        y: 103
        width: 148
        height: 24
        color: "#ffffff"
        text: qsTr("Qt Smart fridge")
        font.pixelSize: 20
        horizontalAlignment: Text.AlignLeft
        verticalAlignment: Text.AlignVCenter
        wrapMode: Text.NoWrap
        font.weight: Font.Normal
        font.family: "Inter"
    }

    Close {
        id: close
        x: 680
        y: 53
        width: 36
        height: 36
        clip: true
        state: "state_size_36_Mode_Dark_Status_Active"

        MouseArea {
            id: mouseArea
            anchors.fill: parent
            anchors.margins: -15

            Connections {
                target: mouseArea
                onClicked: closeSelected()
            }
        }
    }

    Rectangle {
        id: frame_104
        x: 67
        y: 272
        width: 571
        height: 263
        color: "transparent"
        Fridge_Control_panel_element {
            id: fridge_Control_panel_element
            x: 0
            y: 0
            width: 571
            height: 114
            state: "state_mode_Dark"
            Wifi{
                x: 42
                y: 43
                state: "state_size_28_Mode_Dark"

            }
        }

        Fridge_Control_panel_element {
            id: fridge_Control_panel_element1
            x: 0
            y: 149
            width: 571
            height: 114
            set_wifi_connectionText: "Reset demo"
            wifi1Text: "Demo"
            state: "state_mode_Dark"

            Image{
                x: 43
                y: 47
                width: 27
                height: 20
                source: "../images/reset.png"

            }

            MouseArea {
                id: mouseArea2
                anchors.fill: parent
            }

        }
    }
}

/*##^##
Designer {
    D{i:0;uuid:"b27a1664-3280-5148-b59c-b1b1dbd1a039"}D{i:1;uuid:"da171b77-3e47-5ec5-9cfd-113b03c721af"}
D{i:2;uuid:"790eeaf1-56a0-5b6b-a75c-0a5b591a19ef"}D{i:3;uuid:"7f70c6f8-edc4-528c-94ac-1784c047de9d"}
D{i:5}D{i:4;uuid:"cf2af3a2-f2bc-5716-becc-2fa35f4b402d"}D{i:8;uuid:"81d04e92-bf53-52c8-bf68-f6415d4b3285"}
D{i:9;uuid:"22f1e0fb-4bd0-5e2c-b18f-1ccc8c2236a7"}D{i:7;uuid:"5677044e-ea7e-5f1d-b382-168397e6c3b2"}
}
##^##*/

