import QtQuick 2.8
//import QtQuick.Studio.Components 1.0

Rectangle {
    id: fridge_Shopping_list_detail_1
    width: 1080
    height: 1800
    color: "#ffffff"
    border.color: "#ffffff"
    property alias print1Text: print1.text
    property alias groceriesText: groceries.text
    property alias shopping_listsText: shopping_lists.text
    property alias delete1Text: delete1.text
    property alias ask_me_anythingText: ask_me_anything.text

    Image {
        id: background
        x: 0
        y: 0
        source: "assets/background_2.svg"
        clip: true
    }

    Rectangle {
        id: thermal_profiles
        x: 243
        y: 434
        width: 595
        height: 36
        color: "transparent"
        ArrowLeft {
            id: arrowLeft
            x: 0
            y: 0
            width: 36
            height: 36
            clip: true
            state: "state_size_36_Mode_Light_Status_Active"
        }

        Text {
            id: groceries
            x: 228
            y: 1
            width: 140
            height: 34
            color: "#ffffff"
            text: qsTr("Groceries")
            font.pixelSize: 28
            horizontalAlignment: Text.AlignHCenter
            verticalAlignment: Text.AlignVCenter
            wrapMode: Text.NoWrap
            font.weight: Font.Black
            font.family: "Inter"
        }

        ArrowRight {
            id: arrowRight
            x: 559
            y: 0
            width: 36
            height: 36
            clip: true
            state: "state_size_36_Status_Active_Mode_Light"
        }
    }

    ImageListening {
        id: imageListening
        x: 1033
        y: 20
        width: 981
        height: 156
        visible: false
    }

    MicrophoneOutline {
        id: microphoneOutline
        x: 1824
        y: 60
        width: 48
        height: 48
        clip: true
        state: "state_size_48_Mode_Dark"
    }

    Text {
        id: ask_me_anything
        x: 1647
        y: 72
        width: 158
        height: 24
        color: "#ffffff"
        text: qsTr("Ask me anything")
        font.pixelSize: 20
        horizontalAlignment: Text.AlignLeft
        verticalAlignment: Text.AlignTop
        wrapMode: Text.NoWrap
        font.weight: Font.Normal
        font.family: "Inter"
    }

    Text {
        id: shopping_lists
        y: 58
        width: 187
        height: 34
        color: "#ffffff"
        text: qsTr("Shopping lists")
        font.pixelSize: 28
        horizontalAlignment: Text.AlignLeft
        verticalAlignment: Text.AlignVCenter
        wrapMode: Text.NoWrap
        anchors.horizontalCenterOffset: -407
        font.weight: Font.Normal
        font.family: "Inter"
        anchors.horizontalCenter: parent.horizontalCenter
    }

    Close {
        id: close
        x: 992
        y: 48
        width: 48
        height: 48
        clip: true
        state: "state_size_48_Mode_Dark_Status_Active"
    }

    Food_items_list {
        id: food_items_list
        x: 168
        y: 601
        width: 744
        height: 762
        clip: true
        state: "state_style_Dark"
    }

    Rectangle {
        id: buttons
        x: 403
        y: 1432
        width: 275
        height: 56
        color: "transparent"
        Rectangle {
            id: pill
            x: 0
            y: 0
            width: 124
            height: 56
            color: "transparent"
            radius: 40
            border.color: "#4a85da"
            border.width: 2
            clip: true
            Rectangle {
                id: pill1
                x: 2
                y: 2
                width: 120
                height: 52
                color: "transparent"
                Rectangle {
                    id: base
                    x: 0
                    y: 0
                    width: 120
                    height: 52
                    visible: false
                    color: "#4a85da"
                    radius: 26
                }

                Text {
                    id: delete1
                    x: 28
                    y: 14
                    width: 65
                    height: 24
                    color: "#ffffff"
                    text: qsTr("Delete ")
                    font.pixelSize: 20
                    horizontalAlignment: Text.AlignLeft
                    verticalAlignment: Text.AlignVCenter
                    wrapMode: Text.NoWrap
                    font.weight: Font.Bold
                    font.family: "Inter"
                }
                clip: true
            }
        }

        Rectangle {
            id: pill2
            x: 172
            y: 0
            width: 103
            height: 52
            color: "transparent"
            SvgPathItem {
                id: pressed_animation
                width: 102
                height: 102
                visible: false
                anchors.verticalCenterOffset: 5
                anchors.horizontalCenterOffset: 11
                strokeColor: "transparent"
                strokeWidth: 1
                anchors.centerIn: parent
                fillColor: "#3d63b4"
                path: "M 102 51 C 102 79.16652297973633 79.16652297973633 102 51 102 C 22.833477020263672 102 0 79.16652297973633 0 51 C 0 22.833477020263672 22.833477020263672 0 51 0 C 79.16652297973633 0 102 22.833477020263672 102 51 Z"
            }

            Rectangle {
                id: base1
                x: 0
                y: 0
                width: 103
                height: 52
                color: "#3d63b4"
                radius: 26
            }

            Text {
                id: print1
                x: 28
                y: 14
                width: 48
                height: 24
                color: "#ffffff"
                text: qsTr("Print ")
                font.pixelSize: 20
                horizontalAlignment: Text.AlignLeft
                verticalAlignment: Text.AlignVCenter
                wrapMode: Text.NoWrap
                font.weight: Font.Bold
                font.family: "Inter"
            }
            clip: true
        }
    }

    Scrollbar {
        id: scrollbar
        x: 975
        y: 625
        width: 4
        height: 640
        state: "state_style_Dark_Direcrion_Vertical"
    }
}

/*##^##
Designer {
    D{i:0;uuid:"42a3184a-8541-51f5-967e-288716edd48f"}D{i:1;uuid:"111401e0-69eb-5f81-ab6e-6f6d1af23a75"}
D{i:3;uuid:"95d4837a-e5a8-532e-a71c-6d90b4aea1bd"}D{i:4;uuid:"31f0c546-77c5-5861-b7ec-925a0a988995"}
D{i:5;uuid:"126fec68-adf0-5086-8887-769c1f830ab8"}D{i:2;uuid:"b53a176d-50b4-5eb5-bcf6-fa04209dff79"}
D{i:6;uuid:"4ff294ee-9116-50b1-86ec-1949088ecefd"}D{i:7;uuid:"69b221b2-bda2-5256-9125-470a5f26d0a9"}
D{i:8;uuid:"3fcf8ecf-9c48-5449-b10f-f21805177ca9"}D{i:9;uuid:"5a638f09-05ae-5f11-a3a2-f52ea583829c"}
D{i:10;uuid:"bebecd0b-a9a7-5b22-9699-3b58770f79cf"}D{i:11;uuid:"d0a3b5da-8706-5f7d-928e-b971988324f8"}
D{i:15;uuid:"d7d15b15-2da3-5dc8-9ec9-053ecebe549e"}D{i:16;uuid:"a47f368f-9f69-55e1-8a80-9913b92aaff7"}
D{i:14;uuid:"b714e1a0-b690-51d0-ad5c-377cd2bc4849"}D{i:13;uuid:"fcb84311-91b1-5bcf-8521-1b86f74fe59d"}
D{i:18;uuid:"137fce3c-62e8-5c4e-95c1-af465fa8c462"}D{i:19;uuid:"72c24472-2ecd-5c87-88fc-f86109b45d8f"}
D{i:20;uuid:"9126a384-473f-5be3-a8c7-3b6cfc0c5ca9"}D{i:17;uuid:"2791a85c-b043-538e-be68-08480862d344"}
D{i:12;uuid:"facbcb62-6281-5712-a69d-11ebd9b1e022"}D{i:21;uuid:"804a25df-796e-5405-9027-621a91d7f230"}
}
##^##*/

