import QtQuick 2.8
//import QtQuick.Studio.Components 1.0

Rectangle {
    id: fridge_Shopping_list_detail_2
    width: 1080
    height: 1800
    color: "#ffffff"
    property alias print1Text: print1.text
    property alias shopping_listsText: shopping_lists.text
    property alias dinner_partyText: dinner_party.text
    property alias delete1Text: delete1.text
    property alias ask_me_anythingText: ask_me_anything.text

    Image {
        id: background
        x: 0
        y: 0
        source: "assets/background_3.svg"
        clip: true
    }

    Rectangle {
        id: thermal_profiles
        x: 243
        y: 434
        width: 595
        height: 36
        color: "transparent"
        ArrowLeft {
            id: arrowLeft
            x: 0
            y: 0
            width: 36
            height: 36
            clip: true
            state: "state_size_36_Mode_Light_Status_Active"
        }

        Text {
            id: dinner_party
            x: 210
            y: 1
            width: 177
            height: 34
            color: "#ffffff"
            text: qsTr("Dinner party")
            font.pixelSize: 28
            horizontalAlignment: Text.AlignHCenter
            verticalAlignment: Text.AlignVCenter
            wrapMode: Text.NoWrap
            font.weight: Font.Black
            font.family: "Inter"
        }

        ArrowRight {
            id: arrowRight
            x: 559
            y: 0
            width: 36
            height: 36
            clip: true
            state: "state_size_36_Status_Active_Mode_Light"
        }
    }

    ImageListening {
        id: imageListening
        x: 1033
        y: 20
        width: 981
        height: 156
        visible: false
    }

    MicrophoneOutline {
        id: microphoneOutline
        x: 1824
        y: 60
        width: 48
        height: 48
        clip: true
        state: "state_size_48_Mode_Dark"
    }

    Text {
        id: ask_me_anything
        x: 1647
        y: 72
        width: 158
        height: 24
        color: "#ffffff"
        text: qsTr("Ask me anything")
        font.pixelSize: 20
        horizontalAlignment: Text.AlignLeft
        verticalAlignment: Text.AlignTop
        wrapMode: Text.NoWrap
        font.weight: Font.Normal
        font.family: "Inter"
    }

    Text {
        id: shopping_lists
        y: 58
        width: 187
        height: 34
        color: "#ffffff"
        text: qsTr("Shopping lists")
        font.pixelSize: 28
        horizontalAlignment: Text.AlignLeft
        verticalAlignment: Text.AlignVCenter
        wrapMode: Text.NoWrap
        anchors.horizontalCenterOffset: -407
        font.weight: Font.Normal
        font.family: "Inter"
        anchors.horizontalCenter: parent.horizontalCenter
    }

    Close {
        id: close
        x: 992
        y: 48
        width: 48
        height: 48
        clip: true
        state: "state_size_48_Mode_Dark_Status_Active"
    }

    Food_items_list {
        id: food_items_list
        x: 168
        y: 601
        width: 744
        height: 504
        clip: true
        state: "state_style_Dark"
    }

    Rectangle {
        id: buttons
        x: 403
        y: 1432
        width: 275
        height: 56
        color: "transparent"
        Rectangle {
            id: pill
            x: 0
            y: 0
            width: 124
            height: 56
            color: "transparent"
            radius: 40
            border.color: "#4a85da"
            border.width: 2
            clip: true
            Rectangle {
                id: pill1
                x: 2
                y: 2
                width: 120
                height: 52
                color: "transparent"
                Rectangle {
                    id: base
                    x: 0
                    y: 0
                    width: 120
                    height: 52
                    visible: false
                    color: "#4a85da"
                    radius: 26
                }

                Text {
                    id: delete1
                    x: 28
                    y: 14
                    width: 65
                    height: 24
                    color: "#ffffff"
                    text: qsTr("Delete ")
                    font.pixelSize: 20
                    horizontalAlignment: Text.AlignLeft
                    verticalAlignment: Text.AlignVCenter
                    wrapMode: Text.NoWrap
                    font.weight: Font.Bold
                    font.family: "Inter"
                }
                clip: true
            }
        }

        Rectangle {
            id: pill2
            x: 172
            y: 0
            width: 103
            height: 52
            color: "transparent"
            SvgPathItem {
                id: pressed_animation
                width: 102
                height: 102
                visible: false
                anchors.verticalCenterOffset: 5
                anchors.horizontalCenterOffset: 11
                strokeColor: "transparent"
                strokeWidth: 1
                anchors.centerIn: parent
                fillColor: "#3d63b4"
                path: "M 102 51 C 102 79.16652297973633 79.16652297973633 102 51 102 C 22.833477020263672 102 0 79.16652297973633 0 51 C 0 22.833477020263672 22.833477020263672 0 51 0 C 79.16652297973633 0 102 22.833477020263672 102 51 Z"
            }

            Rectangle {
                id: base1
                x: 0
                y: 0
                width: 103
                height: 52
                color: "#3d63b4"
                radius: 26
            }

            Text {
                id: print1
                x: 28
                y: 14
                width: 48
                height: 24
                color: "#ffffff"
                text: qsTr("Print ")
                font.pixelSize: 20
                horizontalAlignment: Text.AlignLeft
                verticalAlignment: Text.AlignVCenter
                wrapMode: Text.NoWrap
                font.weight: Font.Bold
                font.family: "Inter"
            }
            clip: true
        }
    }
}

/*##^##
Designer {
    D{i:0;uuid:"529ef395-6630-56c9-ae2b-13e292d53251"}D{i:1;uuid:"04596b6c-d28a-566d-8931-71befd7491b5"}
D{i:3;uuid:"342d1efd-ebc8-5428-837b-633c560bd18c"}D{i:4;uuid:"9ecc2770-e9fa-5ee3-8ba6-27ba742232ee"}
D{i:5;uuid:"603f65c9-f269-5d55-8b41-11e881e2e770"}D{i:2;uuid:"d79a0d3a-a0bf-57e3-92e9-00808817f35c"}
D{i:6;uuid:"3a70cfe7-abdd-55d5-9e3d-456da4bf2840"}D{i:7;uuid:"6393b47f-0ec5-5102-b578-8d20bcb6b8f4"}
D{i:8;uuid:"470b7008-af7b-585a-b6b6-0dd3f44aca6b"}D{i:9;uuid:"3da68105-ef02-52ea-b513-7be24540f088"}
D{i:10;uuid:"60bc2b59-6400-5851-b88e-b159a8d1f88d"}D{i:11;uuid:"2ea5989a-572f-59a7-8445-426922590aeb"}
D{i:15;uuid:"e77462f0-ba35-5577-9810-b97df1beb523"}D{i:16;uuid:"454ca622-af64-503f-b60e-3f4efe125c9b"}
D{i:14;uuid:"71474816-6596-505b-91ba-01b9d0e7b72e"}D{i:13;uuid:"ef6ccd5f-e556-58c6-8f3d-ec6ab7d90ce3"}
D{i:18;uuid:"3bad2af1-369a-5081-ad79-f55cf3a9db6e"}D{i:19;uuid:"3830fbe9-8fa5-59b6-af0d-655fca362b5d"}
D{i:20;uuid:"179974a2-ad5a-5db6-9a5c-aa38258ef557"}D{i:17;uuid:"01c17427-5a88-5c6b-bae2-102645567964"}
D{i:12;uuid:"ce19bdf4-31c8-53fb-affe-13f92dca1cbf"}
}
##^##*/

