import QtQuick 2.8

Rectangle {
    id: root
    width: 1080
    height: 1800
    color: "#ffffff"
    property alias storageText: storage.text

    signal closeSelected()

    Image {
        id: background
        x: 0
        y: 0
        source: "assets/background_1.svg"
        clip: true
    }

    ImageListening {
        id: imageListening
        x: 1033
        y: 20
        width: 981
        height: 156
        visible: false
    }

    MicrophoneOutline {
        id: microphoneOutline
        x: 1824
        y: 60
        width: 48
        height: 48
        clip: true
        state: "state_size_48_Mode_Dark"
    }

    Text {
        id: ask_me_anything
        x: 1647
        y: 72
        width: 158
        height: 24
        color: "#ffffff"
        text: qsTr("Ask me anything")
        font.pixelSize: 20
        horizontalAlignment: Text.AlignLeft
        verticalAlignment: Text.AlignTop
        wrapMode: Text.NoWrap
        font.weight: Font.Normal
        font.family: "Inter"
    }

    Image {
        id: image_33
        x: 93
        y: 198
        source: "assets/image_33_2.png"
    }

    Scrollbar {
        id: scrollbar
        x: 952
        y: 1016
        width: 4
        height: 640
        state: "state_style_Dark_Direcrion_Vertical"
    }



    Text {
        id: storage
        y: 58
        width: 106
        height: 34
        color: "#ffffff"
        text: qsTr("Storage")
        font.pixelSize: 28
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
        wrapMode: Text.NoWrap
        anchors.horizontalCenterOffset: -447
        font.weight: Font.Normal
        font.family: "Inter"
        anchors.horizontalCenter: parent.horizontalCenter
    }

    Close {
        id: close
        x: 992
        y: 48
        width: 48
        height: 48
        clip: true
        state: "state_size_48_Mode_Dark_Status_Active"

        MouseArea {
            id: mouseArea
            anchors.fill: parent
            anchors.margins: -15

            Connections {
                target: mouseArea
                onClicked: root.closeSelected()
            }
        }
    }
}

/*##^##
Designer {
    D{i:0;uuid:"bfd92de1-6356-586e-8a0c-3d8b867cf71f"}D{i:1;uuid:"2fb8fa9a-cf7e-5d50-a656-243240d10221"}
D{i:2;uuid:"5fd5a773-2b94-5b5f-b17c-6c1a1ef0606c"}D{i:3;uuid:"fb4d70ff-9930-5b6a-ad24-c77a49f62904"}
D{i:4;uuid:"d4a15967-7b19-5355-81bb-43843465f1c0"}D{i:5;uuid:"8cc4962a-9668-5535-a12f-57e6b0908fb3"}
D{i:6;uuid:"42902104-91c3-5338-8c07-ba5704eb1951"}D{i:7;uuid:"63ad79b3-54b8-54e2-bd94-b78a559bd0a0"}
D{i:8;uuid:"52f5213b-e4f9-5f82-bf60-b59745dda031"}D{i:9;uuid:"07345838-d6fd-55eb-83c1-c31674337af1"}
}
##^##*/

