import QtQuick 2.8
//import QtQuick.Studio.Components 1.0

Rectangle {
    id: fridge_Temp_fridge
    width: 1080
    height: 1800
    color: "#ffffff"
    border.color: "#ffffff"
    property alias temperatureText: temperature.text
    property alias fridge_doorText: fridge_door.text
    property alias ask_me_anythingText: ask_me_anything.text

    Image {
        id: background
        x: 0
        y: 0
        source: "assets/background_4.svg"
        clip: true
    }

    ImageListening {
        id: imageListening
        x: 1033
        y: 20
        width: 981
        height: 156
        visible: false
    }

    MicrophoneOutline {
        id: microphoneOutline
        x: 1824
        y: 60
        width: 48
        height: 48
        clip: true
        state: "state_size_48_Mode_Dark"
    }

    Text {
        id: ask_me_anything
        x: 1647
        y: 72
        width: 158
        height: 24
        color: "#ffffff"
        text: qsTr("Ask me anything")
        font.pixelSize: 20
        horizontalAlignment: Text.AlignLeft
        verticalAlignment: Text.AlignTop
        wrapMode: Text.NoWrap
        font.weight: Font.Normal
        font.family: "Inter"
    }

    Text {
        id: fridge_door
        x: 460
        y: 159
        width: 162
        height: 34
        color: "#ffffff"
        text: qsTr("Fridge door")
        font.pixelSize: 28
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
        wrapMode: Text.NoWrap
        font.weight: Font.Black
        font.family: "Inter"
    }

    Text {
        id: temperature
        y: 58
        width: 170
        height: 34
        color: "#ffffff"
        text: qsTr("Temperature")
        font.pixelSize: 28
        horizontalAlignment: Text.AlignLeft
        verticalAlignment: Text.AlignVCenter
        wrapMode: Text.NoWrap
        anchors.horizontalCenterOffset: -415
        font.weight: Font.Normal
        font.family: "Inter"
        anchors.horizontalCenter: parent.horizontalCenter
    }

    Close {
        id: close
        x: 992
        y: 48
        width: 48
        height: 48
        clip: true
        state: "state_size_48_Mode_Dark_Status_Active"
    }

    Rectangle {
        id: tab
        x: 456
        y: 1646
        width: 168
        height: 56
        color: "#353852"
        radius: 30
        Rectangle {
            id: left1
            x: 0
            y: 0
            width: 84
            height: 56
            color: "transparent"
            radius: 30
            Rectangle {
                id: base
                x: 0
                y: 0
                width: 84
                height: 56
                color: "#3d63b4"
                radius: 28.5
            }

            Rectangle {
                id: fridge
                x: 28
                y: 14
                width: 28
                height: 28
                color: "transparent"
                SvgPathItem {
                    id: vector
                    x: 5
                    y: 2
                    width: 19
                    height: 23
                    strokeWidth: 1
                    strokeColor: "transparent"
                    fillColor: "#ffffff"
                    path: "M 16.33333444595337 0.011666654904684038 L 2.3333334922790527 0 C 1.050000043710071 0 0 1.0383332600593578 0 2.333333206176758 L 0 20.99999885559082 C 0 22.283332146803538 1.050000043710071 23.333332061767578 2.3333334922790527 23.333332061767578 L 16.33333444595337 23.333332061767578 C 17.61666789452235 23.333332061767578 18.666667938232422 22.283332146803538 18.666667938232422 20.99999885559082 L 18.666667938232422 2.333333206176758 C 18.666667938232422 1.0383332600593578 17.61666789452235 0.011666654904684038 16.33333444595337 0.011666654904684038 Z M 16.33333444595337 20.99999885559082 L 2.3333334922790527 20.99999885559082 L 2.3333334922790527 10.476665561676056 L 16.33333444595337 10.476665561676056 L 16.33333444595337 20.99999885559082 Z M 16.33333444595337 8.166666221618653 L 2.3333334922790527 8.166666221618653 L 2.3333334922790527 2.333333206176758 L 16.33333444595337 2.333333206176758 L 16.33333444595337 8.166666221618653 Z M 4.6666669845581055 3.499999809265137 L 7.000000476837158 3.499999809265137 L 7.000000476837158 6.999999618530274 L 4.6666669845581055 6.999999618530274 L 4.6666669845581055 3.499999809265137 Z M 4.6666669845581055 11.666666030883789 L 7.000000476837158 11.666666030883789 L 7.000000476837158 17.499999046325684 L 4.6666669845581055 17.499999046325684 L 4.6666669845581055 11.666666030883789 Z"
                }
                clip: true
            }
        }

        Rectangle {
            id: right1
            x: 84
            y: 0
            width: 84
            height: 56
            color: "transparent"
            radius: 30
            Freezer {
                id: freezer
                x: 28
                y: 14
                width: 28
                height: 28
                state: "state_size_28_Mode_Dark"
            }
        }
    }

    Fridge_temp_slider {
        id: fridge_temp_slider
        x: 460
        y: 1045
        width: 160
        height: 512
        state: "state_mode_Dark_Temp_0_"
    }

    Image {
        id: fridge_door_open
        x: 411
        y: 280
        source: "assets/fridge_door_open.png"
    }
}

/*##^##
Designer {
    D{i:0;uuid:"95aa80c8-ec84-5ab0-a3b0-aebbaf1c27e1"}D{i:1;uuid:"5504db7d-8abe-5893-9d80-5af8f6bb2a14"}
D{i:2;uuid:"768e5d77-d382-5f0a-bd2c-078b8ef34431"}D{i:3;uuid:"afa506bc-d1a6-57fc-8694-a1fd55d502b4"}
D{i:4;uuid:"99444d3c-c0f2-5278-9c2c-76feafdbacad"}D{i:5;uuid:"abc202c5-c77a-5f49-8544-c510efa277ee"}
D{i:6;uuid:"17a25a90-31d2-5927-b3e7-ebb152408d0d"}D{i:7;uuid:"e7b551e1-4d5c-5332-8054-44e8c51016c6"}
D{i:10;uuid:"2c450fd4-cdaa-5432-9671-982a1a369beb"}D{i:12;uuid:"f7c30ab1-77aa-5c2a-8eb4-012151d88810"}
D{i:11;uuid:"de53aff9-0c6e-58b7-b42a-4e7fe61351e8"}D{i:9;uuid:"6822cf50-8a0a-585b-a1cd-3412c5364b42"}
D{i:14;uuid:"ebae3ddf-a612-5521-84bb-cf352da9ffbe"}D{i:13;uuid:"4b16840c-a9e1-5a9a-a7ca-7897b3e7ed3c"}
D{i:8;uuid:"22b45c8e-f202-53b7-8f12-9996d557ed1e"}D{i:15;uuid:"1ffbaf44-f37b-54c8-9201-b0622310468a"}
D{i:16;uuid:"73d4c582-13ea-5eca-ac54-fcdb552b4fd1"}
}
##^##*/

