import QtQuick 2.8

//import QtQuick.Studio.Components 1.0
Rectangle {
    id: root
    width: 1080
    height: 1920
    color: "#ffffff"

    property int fridgeTemperature
    property int freezerTemperature
    property int shoppingItems
    property int storageItems

    property alias timeText: gadget.text
    property alias dateText: dateItem.text

    signal menuSelected
    signal storageSelected
    signal shoppingSelected
    signal temperatureSelected

    Image {
        id: background
        x: 0
        y: 0
        source: "assets/background.svg"
        clip: true
    }

    Rectangle {
        id: frame_4
        x: 318
        y: 231
        width: 445
        height: 58
        color: "transparent"
        Text {
            id: gadget
            x: 0
            y: 0
            width: 147
            height: 58
            color: "#ffffff"
            text: qsTr("16:30")
            font.pixelSize: 48
            horizontalAlignment: Text.AlignLeft
            verticalAlignment: Text.AlignTop
            wrapMode: Text.NoWrap
            font.weight: Font.Black
            font.family: "Inter"
        }

        Text {
            id: dateItem
            x: 173
            y: 0
            width: 273
            height: 58
            color: "#ffffff"
            text: qsTr("Mon, Jan 30")
            font.pixelSize: 48
            horizontalAlignment: Text.AlignLeft
            verticalAlignment: Text.AlignTop
            wrapMode: Text.NoWrap
            font.weight: Font.Normal
            font.family: "Inter"
        }
    }

    Rectangle {
        id: frame_5
        x: 39
        y: 36
        width: 1003
        height: 72
        color: "transparent"
        Menu {
            id: menu
            anchors.fill: parent
            clip: true
            state: "state_size_48_Mode_Dark"

            MouseArea {
                id: mouseArea
                x: 0
                y: 0
                width: 48
                height: 50

                Connections {
                    target: mouseArea
                    onClicked: menuSelected()
                }
            }
        }

        Rectangle {
            id: user_account
            x: 373
            y: 0
            width: 257
            height: 72
            color: "transparent"

            Text {
                id: smart_fridge
                x: 0
                y: 0
                width: 178
                height: 34
                color: "#ffffff"
                text: qsTr("SmartFridge")
                font.pixelSize: 28
                horizontalAlignment: Text.AlignLeft
                verticalAlignment: Text.AlignTop
                wrapMode: Text.NoWrap
                font.weight: Font.Black
                font.family: "Inter"
            }

            Image {
                id: image
                x: 180
                y: -9
                width: 194
                height: 44
                source: "../images/built_with_qt.png"
                fillMode: Image.PreserveAspectFit
            }
        }

        Wifi {
            id: wifi
            x: 955
            y: 12
            width: 48
            height: 48
            state: "state_size_48_Mode_Dark"
        }
    }

    Image {
        id: image_33
        x: 97
        y: 381
        visible: false
        source: "assets/image_33_1.png"
    }

    Function_card {
        id: function_card
        x: 721
        y: 1267
        width: 287
        height: 480
        fridgeTemperature: root.fridgeTemperature
        freezerTemperature: root.freezerTemperature
        state: "state_content_Temperature"
        Connections {
            target: function_card
            onSelected: root.temperatureSelected()
        }
    }

    Function_card {
        id: function_card1
        x: 397
        y: 1267
        width: 287
        height: 480
        shoppingItems: root.shoppingItems
        state: "state_content_Shopping_list"
        Connections {
            target: function_card1
            onSelected: root.shoppingSelected()
        }
    }

    Function_card {
        id: function_card2
        x: 73
        y: 1267
        width: 287
        height: 480
        fridgeItems: root.storageItems
        state: "state_content_Storage"
        Connections {
            target: function_card2
            onSelected: root.storageSelected()
        }
    }

    Rectangle {
        id: general_stats
        x: 73
        y: 1110
        width: 648
        height: 88
        color: "transparent"
        Text {
            id: fridge_general_stats
            x: 0
            y: 0
            width: 649
            height: 24
            color: "#ffffff"
            text: qsTr("Fridge general stats")
            font.pixelSize: 20
            horizontalAlignment: Text.AlignLeft
            verticalAlignment: Text.AlignVCenter
            wrapMode: Text.NoWrap
            font.weight: Font.Black
            font.family: "Inter"
        }

        Rectangle {
            id: stats
            x: 0
            y: 52
            width: 648
            height: 36
            color: "transparent"
            Rectangle {
                id: gadget1
                width: 141
                height: 36
                color: "transparent"
                radius: 8
                Electricity {
                    id: electricity
                    x: 0
                    y: 0
                    width: 36
                    height: 36
                    clip: true
                    state: "state_size_36_Mode_Dark"
                }

                Text {
                    id: gadget2
                    x: 52
                    y: 1
                    width: 55
                    height: 34
                    color: "#ffffff"
                    text: qsTr("130")
                    font.pixelSize: 28
                    horizontalAlignment: Text.AlignLeft
                    verticalAlignment: Text.AlignVCenter
                    wrapMode: Text.NoWrap
                    font.weight: Font.Black
                    font.family: "Inter"
                }

                Text {
                    id: w
                    x: 122
                    y: 6
                    width: 20
                    height: 24
                    color: "#676a86"
                    text: qsTr("W")
                    font.pixelSize: 20
                    horizontalAlignment: Text.AlignLeft
                    verticalAlignment: Text.AlignVCenter
                    wrapMode: Text.NoWrap
                    font.weight: Font.Normal
                    font.family: "Inter"
                }
                anchors.centerIn: parent
                anchors.horizontalCenterOffset: -254
            }

            Rectangle {
                id: gadget3
                width: 214
                height: 36
                color: "transparent"
                radius: 8
                Gauge36 {
                    id: gauge36
                    x: 0
                    y: 0
                    width: 36
                    height: 36
                    clip: true
                    state: "state_size_36_Mode_Dark"
                }

                Text {
                    id: gadget4
                    x: 52
                    y: 1
                    width: 63
                    height: 34
                    color: "#ffffff"
                    text: qsTr("1.04")
                    font.pixelSize: 28
                    horizontalAlignment: Text.AlignLeft
                    verticalAlignment: Text.AlignVCenter
                    wrapMode: Text.NoWrap
                    font.weight: Font.Black
                    font.family: "Inter"
                }

                Text {
                    id: kWh_day
                    x: 130
                    y: 6
                    width: 85
                    height: 24
                    color: "#676a86"
                    text: qsTr("kWh/day")
                    font.pixelSize: 20
                    horizontalAlignment: Text.AlignLeft
                    verticalAlignment: Text.AlignVCenter
                    wrapMode: Text.NoWrap
                    font.weight: Font.Normal
                    font.family: "Inter"
                }
                anchors.centerIn: parent
                anchors.horizontalCenterOffset: -28
            }

            Rectangle {
                id: gadget5
                width: 197
                height: 36
                color: "transparent"
                radius: 8
                Money {
                    id: money
                    x: 0
                    y: 0
                    width: 36
                    height: 36
                    state: "state_size_36_Mode_Dark"
                }

                Text {
                    id: gadget6
                    x: 52
                    y: 1
                    width: 68
                    height: 34
                    color: "#ffffff"
                    text: qsTr("94,9")
                    font.pixelSize: 28
                    horizontalAlignment: Text.AlignLeft
                    verticalAlignment: Text.AlignVCenter
                    wrapMode: Text.NoWrap
                    font.weight: Font.Black
                    font.family: "Inter"
                }

                Text {
                    id: year
                    x: 135
                    y: 6
                    width: 63
                    height: 24
                    color: "#676a86"
                    text: utils.euroCurrency ? qsTr("€/year") : qsTr("$/year")
                    font.pixelSize: 20
                    horizontalAlignment: Text.AlignLeft
                    verticalAlignment: Text.AlignVCenter
                    wrapMode: Text.NoWrap
                    font.weight: Font.Normal
                    font.family: "Inter"
                }
                anchors.centerIn: parent
                anchors.horizontalCenterOffset: 226
            }
        }
    }

    Fridge_quick_controls {
        id: fridge_quick_controls
        x: 73
        y: 1815
        width: 935
        height: 36
        state: "state_style_Dark_Half_load_Off_Pre_Wash_Off_Delay_Zero"
    }
}

/*##^##
Designer {
    D{i:0;uuid:"67f3d898-256a-540f-903f-39f65d596479"}D{i:1;uuid:"a97cbc41-8af8-554b-a65f-16f04bd2d242"}
D{i:3;uuid:"74d2410f-e8f4-5601-8e49-438e9a7fa5d9"}D{i:4;uuid:"672cf479-57df-52b3-b768-565d3f43e903"}
D{i:2;uuid:"b32544eb-682c-59af-a8fc-d7da2079e6c6"}D{i:6;uuid:"61d78630-8ea9-5547-a39d-3ca717786280"}
D{i:10;uuid:"96d799b7-ee3e-5ab8-a175-5cbcd3730546"}D{i:11;uuid:"1f8b53c7-d96f-5cfd-9a0a-d3ea5554df4e"}
D{i:9;uuid:"bdb16441-da7d-5123-a833-0a2e4e790c4e"}D{i:12;uuid:"5fbb512a-f9ff-5e60-a2b8-1776376c8ec4"}
D{i:5;uuid:"b6610a76-b825-5633-b9fc-1b2d61220966"}D{i:13;uuid:"e001adee-1481-52a8-b75c-bad9640720d8"}
D{i:15;uuid:"a474bc7b-cab2-50e2-81b2-4678ce1818df"}D{i:14;uuid:"0f33b645-c5b9-581c-accd-397b6215cc2d"}
D{i:17;uuid:"e2850076-0c81-5a6d-8a28-4c0386cb50b6"}D{i:16;uuid:"b6c40cbb-1d54-550f-bf47-260d545f3a58"}
D{i:19;uuid:"289fd937-588f-5b5b-9bb1-be1bed758132"}D{i:18;uuid:"e520cef2-3113-5500-a6e2-cce6be6cf3cf"}
D{i:21;uuid:"064487d2-422f-5279-a691-8293da9ffd5f"}D{i:24;uuid:"4c213eaa-ae35-5d31-808a-2214bcee959e"}
D{i:25;uuid:"391e8add-18bb-5ed8-8e2b-a5a4d4c94b77"}D{i:26;uuid:"f09254df-9c83-5b89-9f63-e73ce217e429"}
D{i:23;uuid:"873fe652-c91e-5d61-bd2f-970d6766c04f"}D{i:28;uuid:"8cbb10c0-ee6e-585b-9eb2-6b89874b6528"}
D{i:29;uuid:"f4279934-022b-53fa-aeb1-a9580dac91ec"}D{i:30;uuid:"661610dd-4c74-5b4c-aff0-3a447c838faf"}
D{i:27;uuid:"a0af1051-8c05-5d86-86b2-6f6b50a93afb"}D{i:32;uuid:"6e0e20e0-5c1e-57d2-b3a5-d04daf23f093"}
D{i:33;uuid:"2b775fd5-8e28-52ae-9e0a-c33530b303d9"}D{i:34;uuid:"6b34ebfd-3058-5ffb-9b34-cf975b736abf"}
D{i:31;uuid:"5d0bf6a0-b15f-5651-ac11-be8214ec3065"}D{i:22;uuid:"202be460-2fa5-5c4e-bb8e-9fa2ab6a0727"}
D{i:20;uuid:"918908e7-c034-5956-93d8-c9be8bd45f1c"}D{i:35;uuid:"76e0d2ff-fc2b-5dd4-989b-be8d11f2d5d0"}
}
##^##*/

