import QtQuick 2.8

Item {
    id: root
    width: 900
    height: 556
    property alias secondaryMessage: secondaryMessage.text
    property alias primaryMessage: mainMessage.text

    signal closeSelected()

    Item {
        id: group_67
        x: 0
        y: 0
        width: 900
        height: 556
        Rectangle {
            id: bg
            x: 0
            y: 0
            width: 900
            height: 556
            color: "#13182f"
            radius: 28
        }

        Rectangle {
            id: icon_area
            x: 375
            y: 72
            width: 150
            height: 150
            color: "transparent"
            Image {
                id: base
                x: 0
                y: 0
                source: "assets/base.svg"
            }

            Groceryadd {
                id: groceryadd
                width: 72
                height: 72
                anchors.centerIn: parent
                state: "state_size_72_Mode_Dark"
            }
        }

        Rectangle {
            id: content
            x: 162
            y: 270
            width: 576
            height: 86
            color: "transparent"
            Text {
                id: mainMessage
                x: 0
                y: 0
                width: 577
                height: 34
                color: "#ffffff"
                text: qsTr("Your list has been sent to the app")
                font.pixelSize: 28
                horizontalAlignment: Text.AlignHCenter
                verticalAlignment: Text.AlignTop
                wrapMode: Text.NoWrap
                font.weight: Font.Black
                font.family: "Inter"
            }

            Text {
                id: secondaryMessage
                x: 0
                y: 62
                width: 577
                height: 24
                color: "#ffffff"
                text: qsTr("Check your phone for confirmation")
                font.pixelSize: 20
                horizontalAlignment: Text.AlignHCenter
                verticalAlignment: Text.AlignTop
                wrapMode: Text.NoWrap
                font.weight: Font.Normal
                font.family: "Inter"
            }
        }

        Close {
            id: close
            x: 824
            y: 28
            width: 48
            height: 48
            clip: true
            state: "state_size_48_Mode_Dark_Status_Active"

            MouseArea {
                id: mouseArea
                anchors.fill: parent

                Connections {
                    target: mouseArea
                    onClicked: root.closeSelected()
                }
            }
        }

        Rectangle {
            id: frame_62
            x: 392
            y: 428
            width: 116
            height: 56
            color: "transparent"
            Rectangle {
                id: pill
                x: 0
                y: 0
                width: 116
                height: 56
                color: "transparent"
                radius: 40
                border.color: "#4a85da"
                border.width: 2
                clip: true
                Rectangle {
                    id: pill1
                    x: 2
                    y: 2
                    width: 112
                    height: 52
                    color: "transparent"
                    Rectangle {
                        id: base1
                        x: 0
                        y: 0
                        width: 112
                        height: 52
                        visible: false
                        color: "#4a85da"
                        radius: 26
                    }

                    Text {
                        id: idle
                        x: 28
                        y: 14
                        width: 57
                        height: 24
                        color: "#ffffff"
                        text: qsTr("Close")
                        font.pixelSize: 20
                        horizontalAlignment: Text.AlignLeft
                        verticalAlignment: Text.AlignVCenter
                        wrapMode: Text.NoWrap
                        font.weight: Font.Bold
                        font.family: "Inter"
                    }
                    clip: true
                }
            }

            MouseArea {
                id: mouseArea1
                anchors.fill: parent

                Connections {
                    target: mouseArea1
                    onClicked: root.closeSelected()
                }
            }
        }
    }
}

/*##^##
Designer {
    D{i:0;uuid:"4b2f5bf7-99b7-538e-b446-67d544f5181d"}D{i:2;uuid:"c4c51ecb-e4bc-583d-b267-cbdd11063365"}
D{i:4;uuid:"e83a037b-ffd7-58e3-8486-8c32148ebcb5"}D{i:5;uuid:"6314ec40-9a46-5841-a132-e1a0ef0977be"}
D{i:3;uuid:"67b30a21-964b-58ed-9997-4a727df459cf"}D{i:7;uuid:"9598d925-f10b-5c81-be7a-2a8c9c32dbbf"}
D{i:8;uuid:"f8e4fda3-8e66-5492-baf5-9182ce836701"}D{i:6;uuid:"f0900a4d-5ef2-5703-8f07-11df870d3902"}
D{i:10}D{i:9;uuid:"da062fd0-9bc4-5663-8a8a-4108b90c1b9d"}D{i:15;uuid:"eda20f58-5d64-5b0f-8382-c72dbc3487fb"}
D{i:16;uuid:"f5d10e6e-5eb6-57c8-94b1-96383494788b"}D{i:14;uuid:"d3ebff5b-3c58-5c85-a18f-b4757e37e5a1"}
D{i:13;uuid:"bcdb304e-e2d6-5cb3-b636-288dff680042"}D{i:17}D{i:12;uuid:"874b8ee1-c26a-5b5d-bfc9-56cfe71aa56d"}
D{i:1;uuid:"e68ccf21-1779-5c95-8e45-d98d46cd94cf"}
}
##^##*/

