import QtQuick 2.8
//import QtQuick.Studio.Components 1.0

Item {
    id: root
    width: 287
    height: 480
    property int fridgeTemperature
    property int freezerTemperature
    property int shoppingItems
    property int fridgeItems
    state: "state_content_Temperature"

    signal selected()

    Card_Fridge {
        id: card_Fridge0
        anchors.fill: parent
    }

    Rectangle {
        id: content
        width: 215
        height: 408
        color: "transparent"
        Text {
            id: temperature
            x: 0
            y: 0
            width: 216
            height: 24
            color: "#ffffff"
            text: qsTr("Temperature")
            font.pixelSize: 20
            horizontalAlignment: Text.AlignHCenter
            verticalAlignment: Text.AlignVCenter
            wrapMode: Text.NoWrap
            font.weight: Font.Black
            font.family: "Inter"
        }

        Rectangle {
            id: fridge
            width: 215
            height: 76
            color: "transparent"
            Rectangle {
                id: base_Dark
                x: 0
                y: 0
                width: 215
                height: 76
                color: "#1affffff"
                radius: 20
            }

            Rectangle {
                id: fridge1
                x: 28
                y: 20
                width: 36
                height: 36
                color: "transparent"
                SvgPathItem {
                    id: vector
                    x: 6
                    y: 3
                    width: 24
                    height: 30
                    strokeWidth: 1
                    strokeColor: "transparent"
                    fillColor: "#ffffff"
                    path: "M 21 0.014999985694885254 L 3 0 C 1.3499999642372131 0 0 1.3349999785423279 0 3 L 0 27 C 0 28.650000035762787 1.3499999642372131 30 3 30 L 21 30 C 22.650000035762787 30 24 28.650000035762787 24 27 L 24 3 C 24 1.3349999785423279 22.650000035762787 0.014999985694885254 21 0.014999985694885254 Z M 21 27 L 3 27 L 3 13.469999313354492 L 21 13.469999313354492 L 21 27 Z M 21 10.5 L 3 10.5 L 3 3 L 21 3 L 21 10.5 Z M 6 4.5 L 9 4.5 L 9 9 L 6 9 L 6 4.5 Z M 6 15 L 9 15 L 9 22.5 L 6 22.5 L 6 15 Z"
                }
                clip: true
            }

            Text {
                id: gadget
                x: 92
                y: 21
                width: 54
                height: 34
                color: "#ffffff"
                text: fridgeTemperature
                font.pixelSize: 28
                horizontalAlignment: Text.AlignRight
                verticalAlignment: Text.AlignVCenter
                wrapMode: Text.NoWrap
                font.weight: Font.Black
                font.family: "Inter"
            }

            Text {
                id: c
                x: 173
                y: 26
                width: 16
                height: 24
                color: "#ffffff"
                text: utils.celsiusUnit?"°C":"°F"
                font.pixelSize: 20
                horizontalAlignment: Text.AlignLeft
                verticalAlignment: Text.AlignVCenter
                wrapMode: Text.NoWrap
                font.weight: Font.Normal
                font.family: "Inter"
            }
            anchors.verticalCenterOffset: -82
            anchors.centerIn: parent
        }

        Rectangle {
            id: freezer
            width: 215
            height: 76
            color: "transparent"
            Rectangle {
                id: base_Dark1
                width: 215
                height: 76
                color: "#1affffff"
                radius: 20
                anchors.centerIn: parent
            }

            Freezer {
                id: freezer1
                x: 24
                y: 20
                width: 36
                height: 36
                clip: true
                state: "state_size_36_Mode_Dark"
            }

            Text {
                id: gadget1
                x: 88
                y: 21
                width: 61
                height: 34
                color: "#ffffff"
                text: freezerTemperature
                font.pixelSize: 28
                horizontalAlignment: Text.AlignRight
                verticalAlignment: Text.AlignVCenter
                wrapMode: Text.NoWrap
                font.weight: Font.Black
                font.family: "Inter"
            }

            Text {
                id: c1
                x: 176
                y: 26
                width: 16
                height: 24
                color: "#ffffff"
                text: utils.celsiusUnit?"°C":"°F"
                font.pixelSize: 20
                horizontalAlignment: Text.AlignLeft
                verticalAlignment: Text.AlignVCenter
                wrapMode: Text.NoWrap
                font.weight: Font.Normal
                font.family: "Inter"
            }
            anchors.verticalCenterOffset: 54
            anchors.centerIn: parent
        }

        Pill {
            id: pill_Export
            x: 17
            y: 356
            width: 182
            height: 52
            activeText: "Adjust temp."
            state: "state_style_Night_Icon_No_Status_Active"

            Connections {
                target: pill_Export
                onSelected: root.selected()
            }

        }

        Rectangle {
            id: icon_and_label
            x: 0
            y: 93
            width: 215
            height: 194
            color: "transparent"
            Rectangle {
                id: icon_area
                x: 33
                y: 0
                width: 150
                height: 150
                color: "transparent"
                Image {
                    id: circle_base_Dark
                    x: -1
                    y: 0
                    source: "assets/circle_base_Dark_state_content_Shopping_list.svg"
                }

                Groceryadd {
                    id: groceryadd
                    x: 39
                    y: 39
                    width: 72
                    height: 72
                    state: "state_size_72_Mode_Dark"
                }

                Pizza {
                    id: pizza
                    x: 39
                    y: 39
                    width: 72
                    height: 72
                    state: "state_size_72_Mode_Dark"
                }
            }

            Text {
                id: lists
                x: 0
                y: 170
                width: 216
                height: 24
                color: "#ffffff"
                text: shoppingItems+qsTr(" lists")
                font.pixelSize: 20
                horizontalAlignment: Text.AlignHCenter
                verticalAlignment: Text.AlignVCenter
                wrapMode: Text.NoWrap
                font.weight: Font.Normal
                font.family: "Inter"
            }

            Text {
                id: items
                x: 0
                y: 170
                width: 216
                height: 24
                color: "#ffffff"
                text: fridgeItems+qsTr(" items")
                font.pixelSize: 20
                horizontalAlignment: Text.AlignHCenter
                verticalAlignment: Text.AlignVCenter
                wrapMode: Text.NoWrap
                font.weight: Font.Normal
                font.family: "Inter"
            }
        }

        Text {
            id: shopping_lists
            x: 0
            y: 0
            width: 216
            height: 24
            color: "#ffffff"
            text: qsTr("Shopping lists")
            font.pixelSize: 20
            horizontalAlignment: Text.AlignHCenter
            verticalAlignment: Text.AlignVCenter
            wrapMode: Text.NoWrap
            font.weight: Font.Black
            font.family: "Inter"
        }

        Text {
            id: storage
            x: 0
            y: 0
            width: 216
            height: 24
            color: "#ffffff"
            text: qsTr("Storage")
            font.pixelSize: 20
            horizontalAlignment: Text.AlignHCenter
            verticalAlignment: Text.AlignVCenter
            wrapMode: Text.NoWrap
            font.weight: Font.Black
            font.family: "Inter"
        }
        anchors.centerIn: parent
    }


    states: [
        State {
            name: "state_content_Temperature"

            PropertyChanges {
                target: shopping_lists
                visible: false
            }

            PropertyChanges {
                target: storage
                visible: false
            }

            PropertyChanges {
                target: pizza
                visible: false
            }

            PropertyChanges {
                target: items
                visible: false
            }

            PropertyChanges {
                target: icon_and_label
                visible: false
            }

            PropertyChanges {
                target: card_Fridge0
                anchors.topMargin: 0
                anchors.leftMargin: 0
            }

            PropertyChanges {
                target: pill_Export
                x: 17
                y: 356
                width: 182
                height: 52
            }
        },
        State {
            name: "state_content_Storage"
            extend: "state_content_Temperature"

            PropertyChanges {
                target: pill_Export
                x: 53
                width: 109
                activeText: "Open"
            }

            PropertyChanges {
                target: storage
                visible: true
            }

            PropertyChanges {
                target: freezer
                visible: false
            }

            PropertyChanges {
                target: groceryadd
                visible: false
            }

            PropertyChanges {
                target: pizza
                visible: true
            }

            PropertyChanges {
                target: fridge
                visible: false
            }

            PropertyChanges {
                target: lists
                visible: false
            }

            PropertyChanges {
                target: shopping_lists
                visible: false
            }

            PropertyChanges {
                target: circle_base_Dark
                source: "assets/circle_base_Dark_state_content_Storage.svg"
            }

            PropertyChanges {
                target: items
                visible: true
            }

            PropertyChanges {
                target: temperature
                visible: false
            }

            PropertyChanges {
                target: icon_and_label
                visible: true
            }
        },
        State {
            name: "state_content_Shopping_list"
            extend: "state_content_Temperature"

            PropertyChanges {
                target: pill_Export
                x: 31
                width: 154
                activeText: "Check list"
            }

            PropertyChanges {
                target: shopping_lists
                visible: true
            }

            PropertyChanges {
                target: freezer
                visible: false
            }

            PropertyChanges {
                target: fridge
                visible: false
            }

            PropertyChanges {
                target: temperature
                visible: false
            }

            PropertyChanges {
                target: icon_and_label
                visible: true
            }
        }
    ]
}

/*##^##
Designer {
    D{i:0;height:480;width:287}D{i:1;uuid:"17d224f7-7cb9-5510-a719-9d37c9bd64ef"}D{i:3;uuid:"e365bdb3-c926-5d57-978f-2d4b095c113a"}
D{i:5;uuid:"c97ec009-aaee-5cfa-b826-115f75cfa2a0"}D{i:7;uuid:"417eb62f-a25b-59b4-8cdb-0a42363dae5d"}
D{i:6;uuid:"a119130d-38a4-59f2-b915-c9d8e72638c5"}D{i:8;uuid:"0bdd993e-86eb-5d9e-9f98-feaf66be3082"}
D{i:9;uuid:"b832b4ce-9c3d-59ed-996a-9c22750ac658"}D{i:4;uuid:"e38f6120-dbb0-58d1-add1-77e5df17c727"}
D{i:11;uuid:"de1cc728-7650-54c8-921f-96fdf2ff0208"}D{i:12;uuid:"cfd6ea1c-a330-5d07-8458-f789342bb7d7"}
D{i:13;uuid:"c0231c40-4aca-5c52-9bd9-2dd251b1fb8f"}D{i:14;uuid:"3afd0a73-3aff-57da-8ad2-5ff5219ac9b6"}
D{i:10;uuid:"72feeb12-bb75-553e-97aa-98ac8bf209d6"}D{i:15;uuid:"460cf7ec-7db7-5934-806b-f6cf7660bec6"}
D{i:19;uuid:"ee871d4f-5124-55db-8c58-333d122ed3b1"}D{i:20;uuid:"2d2bbdd9-3568-59a1-afe1-451a6748e747"}
D{i:21;uuid:"d41f4c61-5a98-534e-83c6-401724f2ac7a"}D{i:18;uuid:"4f86a59d-37e3-5196-ba4b-d1e7fd0e9070"}
D{i:22;uuid:"a634e6c6-83ea-5b9f-ad2d-938a060d3eb5"}D{i:23;uuid:"b7d096bb-24ee-55e5-977e-88e038b9831b"}
D{i:17;uuid:"96d6ae57-acf3-573d-b70d-9ab63caa8716"}D{i:24;uuid:"178ca6be-f4b3-5690-ab91-6cebf1386374"}
D{i:25;uuid:"93da98d1-345d-526b-bc19-7879e1bdc543"}D{i:2;uuid:"c64fceb1-7a02-5113-9111-81e65b8955fa"}
}
##^##*/

