import QtQuick 2.8
//import QtQuick.Studio.Components 1.0

Item {
    id: menu
    width: 72
    height: 72
    state: "state_size_72_Mode_Light"

    SvgPathItem {
        id: vector
        x: 9
        y: 18
        width: 54
        height: 36
        strokeWidth: 1
        strokeColor: "transparent"
        fillColor: "#272a2f"
        path: "M 0 36 L 54 36 L 54 30 L 0 30 L 0 36 Z M 0 21 L 54 21 L 54 15 L 0 15 L 0 21 Z M 0 0 L 0 6 L 54 6 L 54 0 L 0 0 Z"
    }
    states: [
        State {
            name: "state_size_72_Mode_Light"
        },
        State {
            name: "state_size_16_Mode_Dark"
            extend: "state_size_72_Mode_Light"

            PropertyChanges {
                target: menu
                width: 16
                height: 16
            }

            PropertyChanges {
                target: vector
                x: 2
                y: 4
                width: 12
                height: 8
                fillColor: "#ffffff"
                path: "M 0 8 L 12 8 L 12 6.666666666666666 L 0 6.666666666666666 L 0 8 Z M 0 4.666666666666666 L 12 4.666666666666666 L 12 3.333333333333333 L 0 3.333333333333333 L 0 4.666666666666666 Z M 0 0 L 0 1.3333333333333333 L 12 1.3333333333333333 L 12 0 L 0 0 Z"
            }
        },
        State {
            name: "state_size_72_Mode_Dark"
            extend: "state_size_72_Mode_Light"

            PropertyChanges {
                target: vector
                fillColor: "#ffffff"
            }
        },
        State {
            name: "state_size_28_Mode_Light"
            extend: "state_size_72_Mode_Light"

            PropertyChanges {
                target: menu
                width: 28
                height: 28
            }

            PropertyChanges {
                target: vector
                x: 4
                y: 7
                width: 21
                height: 14
                path: "M 0 14 L 21 14 L 21 11.666666666666668 L 0 11.666666666666668 L 0 14 Z M 0 8.166666666666668 L 21 8.166666666666668 L 21 5.833333333333334 L 0 5.833333333333334 L 0 8.166666666666668 Z M 0 0 L 0 2.3333333333333335 L 21 2.3333333333333335 L 21 0 L 0 0 Z"
            }
        },
        State {
            name: "state_size_36_Mode_Light"
            extend: "state_size_72_Mode_Light"

            PropertyChanges {
                target: menu
                width: 36
                height: 36
            }

            PropertyChanges {
                target: vector
                x: 5
                y: 9
                width: 27
                height: 18
                path: "M 0 18 L 27 18 L 27 15 L 0 15 L 0 18 Z M 0 10.5 L 27 10.5 L 27 7.5 L 0 7.5 L 0 10.5 Z M 0 0 L 0 3 L 27 3 L 27 0 L 0 0 Z"
            }
        },
        State {
            name: "state_size_36_Mode_Dark"
            extend: "state_size_72_Mode_Light"

            PropertyChanges {
                target: menu
                width: 36
                height: 36
            }

            PropertyChanges {
                target: vector
                x: 5
                y: 9
                width: 27
                height: 18
                fillColor: "#ffffff"
                path: "M 0 18 L 27 18 L 27 15 L 0 15 L 0 18 Z M 0 10.5 L 27 10.5 L 27 7.5 L 0 7.5 L 0 10.5 Z M 0 0 L 0 3 L 27 3 L 27 0 L 0 0 Z"
            }
        },
        State {
            name: "state_size_16_Mode_Light"
            extend: "state_size_72_Mode_Light"

            PropertyChanges {
                target: menu
                width: 16
                height: 16
            }

            PropertyChanges {
                target: vector
                x: 2
                y: 4
                width: 12
                height: 8
                path: "M 0 8 L 12 8 L 12 6.666666666666666 L 0 6.666666666666666 L 0 8 Z M 0 4.666666666666666 L 12 4.666666666666666 L 12 3.333333333333333 L 0 3.333333333333333 L 0 4.666666666666666 Z M 0 0 L 0 1.3333333333333333 L 12 1.3333333333333333 L 12 0 L 0 0 Z"
            }
        },
        State {
            name: "state_size_28_Mode_Dark"
            extend: "state_size_72_Mode_Light"

            PropertyChanges {
                target: menu
                width: 28
                height: 28
            }

            PropertyChanges {
                target: vector
                x: 4
                y: 7
                width: 21
                height: 14
                fillColor: "#ffffff"
                path: "M 0 14 L 21 14 L 21 11.666666666666668 L 0 11.666666666666668 L 0 14 Z M 0 8.166666666666668 L 21 8.166666666666668 L 21 5.833333333333334 L 0 5.833333333333334 L 0 8.166666666666668 Z M 0 0 L 0 2.3333333333333335 L 21 2.3333333333333335 L 21 0 L 0 0 Z"
            }
        },
        State {
            name: "state_size_48_Mode_Dark"
            extend: "state_size_72_Mode_Light"

            PropertyChanges {
                target: menu
                width: 48
                height: 48
            }

            PropertyChanges {
                target: vector
                x: 6
                y: 12
                width: 36
                height: 24
                fillColor: "#ffffff"
                path: "M 0 24 L 36 24 L 36 20 L 0 20 L 0 24 Z M 0 14 L 36 14 L 36 10 L 0 10 L 0 14 Z M 0 0 L 0 4 L 36 4 L 36 0 L 0 0 Z"
            }
        },
        State {
            name: "state_size_48_Mode_Light"
            extend: "state_size_72_Mode_Light"

            PropertyChanges {
                target: menu
                width: 48
                height: 48
            }

            PropertyChanges {
                target: vector
                x: 6
                y: 12
                width: 36
                height: 24
                path: "M 0 24 L 36 24 L 36 20 L 0 20 L 0 24 Z M 0 14 L 36 14 L 36 10 L 0 10 L 0 14 Z M 0 0 L 0 4 L 36 4 L 36 0 L 0 0 Z"
            }
        }
    ]
}

/*##^##
Designer {
    D{i:0;uuid:"786ecc8a-84d1-50a2-a2e7-1cd63b1f7eca"}D{i:1;uuid:"22613318-1505-5fa6-a0ea-27030208f97c"}
}
##^##*/

