import QtQuick 2.8

Item {
    id: root
    width: 900
    height: 686

    property string fridgeItem: "banana"
    property string itemSource: "banana_state_style_Dark.png"

    property bool added: false

    state: "state_property_1_Default"

    signal closeSelected
    signal itemAdded

    Rectangle {
        id: bg
        x: 0
        y: 0
        width: 900
        height: 686
        color: utils.lightMode?"#f4f6ff":"#13182f"
        radius: 28
    }

    Rectangle {
        id: content
        x: 162
        y: 93
        width: 576
        height: 500
        color: "transparent"
        Rectangle {
            id: content1
            x: 0
            y: 0
            width: 576
            height: 34
            color: "transparent"
            Text {
                id: addLabel
                x: 0
                y: 0
                width: 577
                height: 34
                color: utils.lightMode?"#272a2f":"#ffffff"
                text: qsTr("ADD ITEM")
                font.pixelSize: 28
                horizontalAlignment: Text.AlignHCenter
                verticalAlignment: Text.AlignTop
                wrapMode: Text.NoWrap
                font.weight: Font.Black
                font.family: "Inter"
            }

            Text {
                id: itemAddedLabel
                x: 0
                y: 0
                width: 577
                height: 68
                color: utils.lightMode?"#272a2f":"#ffffff"
                text: fridgeItem + qsTr(" has been added to the shopping list")
                font.pixelSize: 28
                horizontalAlignment: Text.AlignHCenter
                verticalAlignment: Text.AlignTop
                wrapMode: Text.NoWrap
                font.weight: Font.Black
                font.family: "Inter"
            }
        }

        Rectangle {
            id: icon_area
            x: 213
            y: 92
            width: 150
            height: 150
            color: "transparent"
            Image {
                id: base
                x: -1
                y: 0
                source: utils.lightMode?"assets/base_state_style_Light.svg":"assets/base_state_style_Dark.svg"
            }

            Image {
                id: itemImage
                source: "assets/" + itemSource
                anchors.verticalCenterOffset: 0
                anchors.centerIn: parent
                anchors.horizontalCenterOffset: 0
            }
        }

        Rectangle {
            id: content2
            x: 0
            y: 300
            width: 576
            height: 86
            color: "transparent"
            Text {
                id: addItemLabel
                x: 0
                y: 0
                width: 577
                height: 34
                color: utils.lightMode?"#272a2f":"#ffffff"
                text: qsTr("Add ") + fridgeItem + qsTr(" to the shopping list")
                font.pixelSize: 28
                horizontalAlignment: Text.AlignHCenter
                verticalAlignment: Text.AlignTop
                wrapMode: Text.NoWrap
                font.weight: Font.Black
                font.family: "Inter"
            }

            Text {
                id: itemWillAddLabel
                x: 0
                y: 62
                width: 577
                height: 24
                color: utils.lightMode?"#272a2f":"#ffffff"
                text: qsTr("The item will be added to the shopping list")
                font.pixelSize: 20
                horizontalAlignment: Text.AlignHCenter
                verticalAlignment: Text.AlignTop
                wrapMode: Text.NoWrap
                font.weight: Font.Normal
                font.family: "Inter"
            }
        }

        Rectangle {
            id: buttons
            x: 158
            y: 444
            width: 260
            height: 56
            color: "transparent"
            Rectangle {
                id: pill
                x: 0
                y: 0
                width: 116
                height: 56
                color: "transparent"
                radius: 40
                border.color: utils.lightMode?"#c0ddf9":"#4a85da"
                border.width: 2
                clip: true
                Rectangle {
                    id: pill1
                    x: 2
                    y: 2
                    width: 112
                    height: 52
                    color: "transparent"
                    Rectangle {
                        id: base1
                        x: 0
                        y: 0
                        width: 112
                        height: 52
                        visible: false
                        color: utils.lightMode?"#c0ddf9":"#4a85da"
                        radius: 26
                    }

                    Text {
                        id: close
                        x: 28
                        y: 14
                        width: 57
                        height: 24
                        color: utils.lightMode?"#272a2f":"#ffffff"
                        text: qsTr("Close")
                        font.pixelSize: 20
                        horizontalAlignment: Text.AlignLeft
                        verticalAlignment: Text.AlignVCenter
                        wrapMode: Text.NoWrap
                        font.weight: Font.Bold
                        font.family: "Inter"
                    }
                    clip: true
                }

                MouseArea {
                    id: mouseArea
                    anchors.fill: parent

                    Connections {
                        target: mouseArea
                        onClicked: root.closeSelected()
                    }
                }
            }

            Rectangle {
                id: pill2
                x: 164
                y: 0
                width: 96
                height: 52
                color: "transparent"
                SvgPathItem {
                    id: pressed_animation
                    width: 102
                    height: 102
                    visible: false
                    anchors.verticalCenterOffset: 5
                    anchors.horizontalCenterOffset: 10
                    strokeColor: "transparent"
                    strokeWidth: 1
                    anchors.centerIn: parent
                    fillColor: "#3d63b4"
                    path: "M 102 51 C 102 79.16652297973633 79.16652297973633 102 51 102 C 22.833477020263672 102 0 79.16652297973633 0 51 C 0 22.833477020263672 22.833477020263672 0 51 0 C 79.16652297973633 0 102 22.833477020263672 102 51 Z"
                }

                Rectangle {
                    id: base2
                    x: 0
                    y: 0
                    width: 96
                    height: 52
                    color: utils.lightMode?"#c0ddf9":"#3d63b4"
                    radius: 26
                }

                Text {
                    id: add
                    x: 28
                    y: 14
                    width: 41
                    height: 24
                    color: utils.lightMode?"#272a2f":"#ffffff"
                    text: qsTr("Add")
                    font.pixelSize: 20
                    horizontalAlignment: Text.AlignLeft
                    verticalAlignment: Text.AlignVCenter
                    wrapMode: Text.NoWrap
                    font.weight: Font.Bold
                    font.family: "Inter"
                }

                Text {
                    id: view_list
                    x: 28
                    y: 14
                    width: 85
                    height: 24
                    color: utils.lightMode?"#272a2f":"#ffffff"
                    text: qsTr("View list")
                    font.pixelSize: 20
                    horizontalAlignment: Text.AlignLeft
                    verticalAlignment: Text.AlignVCenter
                    wrapMode: Text.NoWrap
                    font.weight: Font.Bold
                    font.family: "Inter"
                }

                MouseArea {
                    id: mouseArea1
                    anchors.fill: parent

                    Connections {
                        target: mouseArea1
                        onClicked: {
                            root.itemAdded()
                            root.state = "state_property_1_t"
                        }
                    }
                }
                clip: true
            }
        }
    }

    Close {
        id: close1
        x: 824
        y: 28
        width: 48
        height: 48
        clip: true
        state: utils.lightMode?"state_size_48_Mode_Light_Status_Active":"state_size_48_Mode_Dark_Status_Active"

        MouseArea {
            id: mouseArea2
            anchors.fill: parent

            Connections {
                target: mouseArea2
                onClicked: root.closeSelected()
            }
        }
    }
    states: [
        State {
            name: "state_property_1_Default"

            PropertyChanges {
                target: view_list
                visible: false
            }

            PropertyChanges {
                target: itemAddedLabel
                visible: false
            }


        },
        State {
            name: "state_property_1_t"
            extend: "state_property_1_Default"

            PropertyChanges {
                target: add
                visible: false
            }

            PropertyChanges {
                target: content2
                visible: false
            }

            PropertyChanges {
                target: content1
                height: 68
            }

            PropertyChanges {
                target: view_list
                visible: true
            }

            PropertyChanges {
                target: root
                height: 584
            }

            PropertyChanges {
                target: content
                height: 390
            }

            PropertyChanges {
                target: icon_area
                y: 126
            }

            PropertyChanges {
                target: base2
                width: 140
            }


            PropertyChanges {
                target: pill2
                width: 140
                visible: false
            }

            PropertyChanges {
                target: addLabel
                visible: false
            }

            PropertyChanges {
                target: buttons
                x: 230
                y: 334
                width: 116
            }

            PropertyChanges {
                target: itemAddedLabel
                visible: true
            }
        }
    ]
}




/*##^##
Designer {
    D{i:0;uuid:"c911df4a-3762-58d0-9ebf-f982b790342c"}D{i:1;uuid:"01447d4a-a043-5e57-809b-170fff712590"}
D{i:4;uuid:"46b7df7d-078b-5ac9-bfc7-32783518f8de"}D{i:5;uuid:"88ab48aa-5100-54f3-9fe8-3430c0809406"}
D{i:3;uuid:"6ba7df34-20e9-56d1-bcbe-c65ca73da7d5"}D{i:7;uuid:"1f975540-978d-5112-8880-ab4afde5a837"}
D{i:8;uuid:"05ee5138-4808-5f4e-a8ee-98e2bd758c69"}D{i:6;uuid:"f81c7526-79dc-5179-863e-5a2c1c97f02e"}
D{i:10;uuid:"5779ca6a-dc13-5c22-8c6b-114f10a501d1"}D{i:11;uuid:"4b7c9707-8843-57be-b931-53c162b0165c"}
D{i:9;uuid:"0ffc12a0-70e6-5a0a-afd9-8baaa2af66ef"}D{i:15;uuid:"aa851a2d-494b-583c-8d5e-d0bff7bda419"}
D{i:16;uuid:"a0abb158-dd16-5ca0-9de7-73bee0d2461c"}D{i:14;uuid:"b6a284c7-e657-590b-8625-e83f9ad0935c"}
D{i:13;uuid:"aeab6045-3d04-55a3-932d-a85ac9804367"}D{i:20;uuid:"54916c82-930a-5bd4-aafe-aee2d691611e"}
D{i:21;uuid:"b30d9bbe-baba-5c9e-869e-c62d95421320"}D{i:22;uuid:"a9a48b01-4ff9-559f-a898-14c912ab379e"}
D{i:23;uuid:"50c05ae9-fdfe-59d2-a40d-f0aeca6b6dfc"}D{i:19;uuid:"2a0769c8-0bc5-54c2-b316-40f30938b018"}
D{i:12;uuid:"c1e8cb28-5cb4-55a4-bf30-096e9c9a2050"}D{i:2;uuid:"8df6bee4-d978-5287-94ef-1b78199d344a"}
D{i:26;uuid:"04d96d1f-70a9-58cb-b1b5-d6902a37a3f6"}
}
##^##*/
