import QtQuick 2.8

Item {
    id: pill
    width: 92
    height: 52
    property alias disabledText: disabled.text
    property alias activeText: active.text
    property alias hoverText: hover.text
    property alias idleText: idle.text
    state: "state_style_Night_Icon_No_Status_Idle"

    signal selected()

    Rectangle {
        id: base
        visible: false
        color: "#3d63b4"
        radius: 26
        anchors.fill: parent
    }

    Text {
        id: idle
        x: 28
        y: 14
        width: 37
        height: 24
        color: "#ffffff"
        text: qsTr("Idle")
        font.pixelSize: 20
        horizontalAlignment: Text.AlignLeft
        verticalAlignment: Text.AlignVCenter
        wrapMode: Text.NoWrap
        font.weight: Font.Bold
        font.family: "Inter"
    }

    Text {
        id: hover
        x: 28
        y: 14
        width: 60
        height: 24
        color: "#ffffff"
        text: qsTr("Hover")
        font.pixelSize: 20
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
        wrapMode: Text.NoWrap
        font.weight: Font.Bold
        font.family: "Inter"
    }

    Text {
        id: active
        x: 28
        y: 14
        width: 64
        height: 24
        color: "#ffffff"
        text: qsTr("Active")
        font.pixelSize: 20
        horizontalAlignment: Text.AlignLeft
        verticalAlignment: Text.AlignVCenter
        wrapMode: Text.NoWrap
        font.weight: Font.Bold
        font.family: "Inter"
    }

    Text {
        id: disabled
        x: 28
        y: 14
        width: 87
        height: 24
        color: "#676a86"
        text: qsTr("Disabled")
        font.pixelSize: 20
        horizontalAlignment: Text.AlignLeft
        verticalAlignment: Text.AlignVCenter
        wrapMode: Text.NoWrap
        font.weight: Font.Bold
        font.family: "Inter"
    }

    ArrowLeft {
        id: arrowLeft
        x: 28
        y: 12
        width: 28
        height: 28
        clip: true
        state: "state_size_28_Mode_Dark_Status_Active"
    }

    ArrowRight {
        id: arrowRight
        x: 80
        y: 12
        width: 28
        height: 28
        clip: true
        state: "state_size_28_Status_Active_Mode_Dark"
    }

    MouseArea {
        id: mouseArea
        anchors.fill: parent

        Connections {
            target: mouseArea
            onClicked: pill.selected()
        }
    }
    states: [
        State {
            name: "state_style_Night_Icon_No_Status_Idle"

            PropertyChanges {
                target: hover
                visible: false
            }

            PropertyChanges {
                target: disabled
                visible: false
            }

            PropertyChanges {
                target: active
                visible: false
            }

            PropertyChanges {
                target: arrowLeft
                visible: false
            }

            PropertyChanges {
                target: arrowRight
                visible: false
            }
        },
        State {
            name: "state_style_Day_Icon_Right_Status_Disabled"
            extend: "state_style_Night_Icon_No_Status_Idle"

            PropertyChanges {
                target: hover
                visible: false
            }

            PropertyChanges {
                target: disabled
                color: "#afb2d1"
            }

            PropertyChanges {
                target: base
                visible: false
            }

            PropertyChanges {
                target: active
                visible: false
            }

            PropertyChanges {
                target: arrowLeft
                visible: false
            }

            PropertyChanges {
                target: idle
                visible: false
            }

            PropertyChanges {
                target: pill
                width: 186
            }

            PropertyChanges {
                target: arrowRight
                x: 130
                state: "state_size_28_Status_Disabled_Mode_Light"
            }
        },
        State {
            name: "state_style_Day_Icon_Left_Status_Hover"
            extend: "state_style_Night_Icon_No_Status_Idle"

            PropertyChanges {
                target: hover
                x: 72
                color: "#272a2f"
                horizontalAlignment: Text.AlignLeft
            }

            PropertyChanges {
                target: disabled
                visible: false
            }

            PropertyChanges {
                target: base
                width: 159
                color: "#76b3ef"
            }

            PropertyChanges {
                target: arrowLeft
                state: "state_size_28_Mode_Light_Status_Active"
            }

            PropertyChanges {
                target: active
                visible: false
            }

            PropertyChanges {
                target: idle
                visible: false
            }

            PropertyChanges {
                target: pill
                width: 159
            }

            PropertyChanges {
                target: arrowRight
                visible: false
            }
        },
        State {
            name: "state_style_Day_Icon_Left_Status_Disabled"
            extend: "state_style_Night_Icon_No_Status_Idle"

            PropertyChanges {
                target: hover
                visible: false
            }

            PropertyChanges {
                target: disabled
                x: 72
                color: "#afb2d1"
            }

            PropertyChanges {
                target: arrowLeft
                state: "state_size_28_Mode_Light_Status_Disabled"
            }

            PropertyChanges {
                target: base
                visible: false
            }

            PropertyChanges {
                target: active
                visible: false
            }

            PropertyChanges {
                target: idle
                visible: false
            }

            PropertyChanges {
                target: pill
                width: 186
            }

            PropertyChanges {
                target: arrowRight
                visible: false
            }
        },
        State {
            name: "state_style_Day_Icon_Right_Status_Hover"
            extend: "state_style_Night_Icon_No_Status_Idle"

            PropertyChanges {
                target: hover
                color: "#272a2f"
                horizontalAlignment: Text.AlignLeft
            }

            PropertyChanges {
                target: disabled
                visible: false
            }

            PropertyChanges {
                target: base
                width: 159
                color: "#76b3ef"
            }

            PropertyChanges {
                target: active
                visible: false
            }

            PropertyChanges {
                target: arrowLeft
                visible: false
            }

            PropertyChanges {
                target: idle
                visible: false
            }

            PropertyChanges {
                target: pill
                width: 159
            }

            PropertyChanges {
                target: arrowRight
                x: 103
                state: "state_size_28_Status_Active_Mode_Light"
            }
        },
        State {
            name: "state_style_Day_Icon_No_Status_Disabled"
            extend: "state_style_Night_Icon_No_Status_Idle"

            PropertyChanges {
                target: hover
                visible: false
            }

            PropertyChanges {
                target: disabled
                color: "#afb2d1"
            }

            PropertyChanges {
                target: base
                visible: false
            }

            PropertyChanges {
                target: active
                visible: false
            }

            PropertyChanges {
                target: arrowLeft
                visible: false
            }

            PropertyChanges {
                target: idle
                visible: false
            }

            PropertyChanges {
                target: pill
                width: 142
            }

            PropertyChanges {
                target: arrowRight
                visible: false
            }
        },
        State {
            name: "state_style_Day_Icon_No_Status_Hover"
            extend: "state_style_Night_Icon_No_Status_Idle"

            PropertyChanges {
                target: hover
                color: "#272a2f"
                horizontalAlignment: Text.AlignLeft
            }

            PropertyChanges {
                target: disabled
                visible: false
            }

            PropertyChanges {
                target: base
                width: 115
                color: "#76b3ef"
            }

            PropertyChanges {
                target: active
                visible: false
            }

            PropertyChanges {
                target: arrowLeft
                visible: false
            }

            PropertyChanges {
                target: idle
                visible: false
            }

            PropertyChanges {
                target: pill
                width: 115
            }

            PropertyChanges {
                target: arrowRight
                visible: false
            }
        },
        State {
            name: "state_style_Day_Icon_Right_Status_Idle"
            extend: "state_style_Night_Icon_No_Status_Idle"

            PropertyChanges {
                target: hover
                visible: false
            }

            PropertyChanges {
                target: disabled
                visible: false
            }

            PropertyChanges {
                target: base
                visible: false
            }

            PropertyChanges {
                target: active
                visible: false
            }

            PropertyChanges {
                target: arrowLeft
                visible: false
            }

            PropertyChanges {
                target: idle
                color: "#272a2f"
            }

            PropertyChanges {
                target: pill
                width: 136
            }

            PropertyChanges {
                target: arrowRight
                state: "state_size_28_Status_Active_Mode_Light"
            }
        },
        State {
            name: "state_style_Day_Icon_Left_Status_Idle"
            extend: "state_style_Night_Icon_No_Status_Idle"

            PropertyChanges {
                target: hover
                visible: false
            }

            PropertyChanges {
                target: disabled
                visible: false
            }

            PropertyChanges {
                target: arrowLeft
                state: "state_size_28_Mode_Light_Status_Active"
            }

            PropertyChanges {
                target: base
                visible: false
            }

            PropertyChanges {
                target: active
                visible: false
            }

            PropertyChanges {
                target: idle
                x: 72
                color: "#272a2f"
            }

            PropertyChanges {
                target: pill
                width: 136
            }

            PropertyChanges {
                target: arrowRight
                visible: false
            }
        },
        State {
            name: "state_style_Day_Icon_Left_Status_Active"
            extend: "state_style_Night_Icon_No_Status_Idle"

            PropertyChanges {
                target: hover
                visible: false
            }

            PropertyChanges {
                target: disabled
                visible: false
            }

            PropertyChanges {
                target: base
                width: 163
                color: "#c0ddf9"
            }

            PropertyChanges {
                target: active
                x: 72
                color: "#272a2f"
            }

            PropertyChanges {
                target: arrowLeft
                state: "state_size_28_Mode_Light_Status_Active"
            }

            PropertyChanges {
                target: idle
                visible: false
            }

            PropertyChanges {
                target: pill
                width: 163
            }

            PropertyChanges {
                target: arrowRight
                visible: false
            }
        },
        State {
            name: "state_style_Night_Icon_Left_Status_Disabled"
            extend: "state_style_Night_Icon_No_Status_Idle"

            PropertyChanges {
                target: hover
                visible: false
            }

            PropertyChanges {
                target: disabled
                x: 72
            }

            PropertyChanges {
                target: arrowLeft
                state: "state_size_28_Mode_Dark_Status_Disabled"
            }

            PropertyChanges {
                target: base
                visible: false
            }

            PropertyChanges {
                target: active
                visible: false
            }

            PropertyChanges {
                target: idle
                visible: false
            }

            PropertyChanges {
                target: pill
                width: 186
            }

            PropertyChanges {
                target: arrowRight
                visible: false
            }
        },
        State {
            name: "state_style_Day_Icon_No_Status_Active"
            extend: "state_style_Night_Icon_No_Status_Idle"

            PropertyChanges {
                target: hover
                visible: false
            }

            PropertyChanges {
                target: disabled
                visible: false
            }

            PropertyChanges {
                target: base
                width: 119
                color: "#c0ddf9"
            }

            PropertyChanges {
                target: active
                color: "#272a2f"
            }

            PropertyChanges {
                target: arrowLeft
                visible: false
            }

            PropertyChanges {
                target: idle
                visible: false
            }

            PropertyChanges {
                target: pill
                width: 119
            }

            PropertyChanges {
                target: arrowRight
                visible: false
            }
        },
        State {
            name: "state_style_Night_Icon_Right_Status_Disabled"
            extend: "state_style_Night_Icon_No_Status_Idle"

            PropertyChanges {
                target: hover
                visible: false
            }

            PropertyChanges {
                target: base
                visible: false
            }

            PropertyChanges {
                target: active
                visible: false
            }

            PropertyChanges {
                target: arrowLeft
                visible: false
            }

            PropertyChanges {
                target: idle
                visible: false
            }

            PropertyChanges {
                target: pill
                width: 186
            }

            PropertyChanges {
                target: arrowRight
                x: 130
                state: "state_size_28_Status_Disabled_Mode_Dark"
            }
        },
        State {
            name: "state_style_Night_Icon_Left_Status_Active"
            extend: "state_style_Night_Icon_No_Status_Idle"

            PropertyChanges {
                target: hover
                visible: false
            }

            PropertyChanges {
                target: disabled
                visible: false
            }

            PropertyChanges {
                target: base
                width: 163
            }

            PropertyChanges {
                target: active
                x: 72
            }

            PropertyChanges {
                target: idle
                visible: false
            }

            PropertyChanges {
                target: pill
                width: 163
            }

            PropertyChanges {
                target: arrowRight
                visible: false
            }
        },
        State {
            name: "state_style_Night_Icon_Right_Status_Active"
            extend: "state_style_Night_Icon_No_Status_Idle"

            PropertyChanges {
                target: hover
                visible: false
            }

            PropertyChanges {
                target: disabled
                visible: false
            }

            PropertyChanges {
                target: base
                width: 163
            }

            PropertyChanges {
                target: arrowLeft
                visible: false
            }

            PropertyChanges {
                target: idle
                visible: false
            }

            PropertyChanges {
                target: pill
                width: 163
            }

            PropertyChanges {
                target: arrowRight
                x: 107
            }
        },
        State {
            name: "state_style_Night_Icon_Left_Status_Hover"
            extend: "state_style_Night_Icon_No_Status_Idle"

            PropertyChanges {
                target: hover
                x: 72
                horizontalAlignment: Text.AlignLeft
            }

            PropertyChanges {
                target: disabled
                visible: false
            }

            PropertyChanges {
                target: base
                width: 159
                color: "#4a85da"
            }

            PropertyChanges {
                target: active
                visible: false
            }

            PropertyChanges {
                target: idle
                visible: false
            }

            PropertyChanges {
                target: pill
                width: 159
            }

            PropertyChanges {
                target: arrowRight
                visible: false
            }
        },
        State {
            name: "state_style_Day_Icon_Right_Status_Active"
            extend: "state_style_Night_Icon_No_Status_Idle"

            PropertyChanges {
                target: hover
                visible: false
            }

            PropertyChanges {
                target: disabled
                visible: false
            }

            PropertyChanges {
                target: base
                width: 163
                color: "#c0ddf9"
            }

            PropertyChanges {
                target: active
                color: "#272a2f"
            }

            PropertyChanges {
                target: arrowLeft
                visible: false
            }

            PropertyChanges {
                target: idle
                visible: false
            }

            PropertyChanges {
                target: pill
                width: 163
            }

            PropertyChanges {
                target: arrowRight
                x: 107
                state: "state_size_28_Status_Active_Mode_Light"
            }
        },
        State {
            name: "state_style_Night_Icon_Left_Status_Idle"
            extend: "state_style_Night_Icon_No_Status_Idle"

            PropertyChanges {
                target: hover
                visible: false
            }

            PropertyChanges {
                target: disabled
                visible: false
            }

            PropertyChanges {
                target: arrowLeft
                visible: true
            }

            PropertyChanges {
                target: base
                visible: false
            }

            PropertyChanges {
                target: active
                visible: false
            }

            PropertyChanges {
                target: idle
                x: 72
            }

            PropertyChanges {
                target: pill
                width: 136
            }
        },
        State {
            name: "state_style_Night_Icon_Right_Status_Hover"
            extend: "state_style_Night_Icon_No_Status_Idle"

            PropertyChanges {
                target: hover
                horizontalAlignment: Text.AlignLeft
            }

            PropertyChanges {
                target: disabled
                visible: false
            }

            PropertyChanges {
                target: base
                width: 159
                color: "#4a85da"
            }

            PropertyChanges {
                target: active
                visible: false
            }

            PropertyChanges {
                target: arrowLeft
                visible: false
            }

            PropertyChanges {
                target: idle
                visible: false
            }

            PropertyChanges {
                target: pill
                width: 159
            }

            PropertyChanges {
                target: arrowRight
                x: 103
            }
        },
        State {
            name: "state_style_Night_Icon_No_Status_Disabled"
            extend: "state_style_Night_Icon_No_Status_Idle"

            PropertyChanges {
                target: hover
                visible: false
            }

            PropertyChanges {
                target: disabled
                visible: true
            }

            PropertyChanges {
                target: base
                width: 142
            }

            PropertyChanges {
                target: active
                visible: false
            }

            PropertyChanges {
                target: idle
                visible: false
            }

            PropertyChanges {
                target: pill
                width: 142
            }
        },
        State {
            name: "state_style_Night_Icon_Right_Status_Idle"
            extend: "state_style_Night_Icon_No_Status_Idle"

            PropertyChanges {
                target: hover
                visible: false
            }

            PropertyChanges {
                target: disabled
                visible: false
            }

            PropertyChanges {
                target: base
                visible: true
            }

            PropertyChanges {
                target: active
                visible: false
            }

            PropertyChanges {
                target: arrowLeft
                visible: false
            }

            PropertyChanges {
                target: pill
                width: 136
            }

            PropertyChanges {
                target: arrowRight
                visible: true
            }
        },
        State {
            name: "state_style_Night_Icon_No_Status_Active"
            extend: "state_style_Night_Icon_No_Status_Idle"

            PropertyChanges {
                target: hover
                visible: false
            }

            PropertyChanges {
                target: base
                width: 119
                visible: true
            }

            PropertyChanges {
                target: active
                visible: true
            }

            PropertyChanges {
                target: idle
                visible: false
            }

            PropertyChanges {
                target: pill
                width: 119
            }
        },
        State {
            name: "state_style_Day_Icon_No_Status_Idle"
            extend: "state_style_Night_Icon_No_Status_Idle"

            PropertyChanges {
                target: hover
                visible: false
            }

            PropertyChanges {
                target: disabled
                visible: false
            }

            PropertyChanges {
                target: base
                visible: false
            }

            PropertyChanges {
                target: active
                visible: false
            }

            PropertyChanges {
                target: arrowLeft
                visible: false
            }

            PropertyChanges {
                target: idle
                color: "#272a2f"
            }

            PropertyChanges {
                target: arrowRight
                visible: false
            }
        },
        State {
            name: "state_style_Night_Icon_No_Status_Hover"
            extend: "state_style_Night_Icon_No_Status_Idle"

            PropertyChanges {
                target: hover
                visible: true
            }

            PropertyChanges {
                target: base
                width: 115
                visible: true
                color: "#4a85da"
            }

            PropertyChanges {
                target: idle
                visible: false
            }

            PropertyChanges {
                target: pill
                width: 115
            }
        }
    ]
}

/*##^##
Designer {
    D{i:0;height:52;width:182}D{i:1;uuid:"33a513d3-4199-56c8-86d6-ac3b716f79be"}D{i:2;uuid:"bceea67a-9726-563e-91e5-17379d21ecaf"}
D{i:3;uuid:"83d5472a-166f-5aee-b1fc-3aec3a2d8742"}D{i:4;uuid:"a9ed557c-fbc2-50cc-bdf8-56d91c836cd3"}
D{i:5;uuid:"7998699e-f6d5-5719-b690-e9d315fc3f58"}D{i:6;uuid:"6dcd244a-7f51-582c-916c-5b394d653c6d"}
D{i:7;uuid:"f484ba65-a852-56cb-975a-6403932c2022"}D{i:8}
}
##^##*/

