import QtQuick 2.8

Item {
    id: switch1
    width: 84
    height: 36
    state: "state_status_Off_Style_Dark"

    property bool toggled: false

    Rectangle {
        id: base
        x: 0
        y: 0
        width: 78
        height: 36
        color: "#3d63b4"
        radius: 18
    }

    Image {
        id: toggle
        x: 40
        y: -8
        source: "assets/toggle_state_status_On_Style_Dark.svg"
    }

    MouseArea{
    id: mouseArea
    anchors.fill: parent
    anchors.rightMargin: -10
    anchors.leftMargin: -10
    anchors.bottomMargin: -10
    anchors.topMargin: -10
    onClicked: toggled = !toggled

    }

    states: [
        State {
            name: "state_status_On_Style_Dark"
            when: toggled
        },
        State {
            name: "state_status_Off_Style_Light"
            extend: "state_status_On_Style_Dark"

            PropertyChanges {
                target: base
            //    x: 6
                color: "#e4e6ff"
            }

            PropertyChanges {
                target: toggle
                x: -8
                source: "assets/toggle_state_status_Off_Style_Light.svg"
            }
        },
        State {
            name: "state_status_Off_Style_Dark"
            extend: "state_status_On_Style_Dark"
            when: !toggled

            PropertyChanges {
                target: base
             //   x: 6
                color: "#353852"
            }

            PropertyChanges {
                target: toggle
                x: -8
                source: "assets/toggle_state_status_Off_Style_Dark.svg"
            }
        },
        State {
            name: "state_status_On_Style_Light"
            extend: "state_status_On_Style_Dark"

            PropertyChanges {
                target: base
                color: "#99c8f5"
            }

            PropertyChanges {
                target: toggle
                source: "assets/toggle_state_status_On_Style_Light.svg"
            }
        }
    ]
    transitions: [
        Transition {
            id: transition
            ParallelAnimation {
                SequentialAnimation {
                    PauseAnimation {
                        duration: 50
                    }
/*
                    PropertyAnimation {
                        target: base
                        property: "x"
                        duration: 150
                    }
*/
                    PropertyAnimation {
                        target: toggle
                        property: "x"
                        duration: 150
                    }

                    PropertyAnimation {
                        target: base
                        property: "color"
                        duration: 150
                    }


                }
            }


            to: "*"
            from: "*"
        }
    ]
}

/*##^##
Designer {
    D{i:0;height:36;width:84}D{i:1;uuid:"361083f8-90d2-57ba-870a-9f1fbead858d"}D{i:2;uuid:"0f7fc87c-91d6-5217-a9f1-8c2d22e0000e"}
D{i:14;transitionDuration:2000}
}
##^##*/

