import QtQuick
import QtQuick.Controls
import "./FridgeExport"

Item {
    id: root
    width: 1080
    height: 1920


    signal storageSelected()
    signal temperatureSelected()
    signal shoppingSelected()
    signal menuSelected()



    Fridge_idle{
        id: fridgeIdle
        onMenuSelected: root.menuSelected()
        onTemperatureSelected: root.temperatureSelected()
        onShoppingSelected: root.shoppingSelected()
        onStorageSelected: root.storageSelected()


        fridgeTemperature: utils.fridgeData.fridgeTemperature
        freezerTemperature: utils.fridgeData.freezerTemperature
        storageItems: 29
        shoppingItems: 2

    }


    FridgeModel{
        id: model
        x: 80
        y: 181
    }


    Connections{
        target: manager

        function onDateTimeUpdated(date, time){

            fridgeIdle.dateText = date;
            fridgeIdle.timeText = time;
        }

        function onTemperatureUnitChanged(index){

            if(index)
                utils.celsiusUnit = false
            else
                utils.celsiusUnit = true
        }


        function onCurrencyChanged(index){

            if(index)
                utils.euroCurrency = false
            else
                utils.euroCurrency = true
        }
    }


}
