import QtQuick
import QtQuick.Controls
import "./FridgeExport"
import "./Elements"

Item {
    id: root
    width: 1080
    height: 1920


    FridgeModel{
        id: model
        x: 93
        y: 0
    }



    ListModel{
        id: storageModel
        ListElement{
            name: qsTr("Broccoli")
            number: 2
            image: "broccoli_state_style_Dark.png"
        }
        ListElement{
            name: qsTr("Lettuce")
            number: 1
            image: "lettuce_state_style_Dark.png"
        }
        ListElement{
            name: qsTr("Onion")
            number: 6
            image: "onion_state_style_Dark.png"
        }
        ListElement{
            name: qsTr("Banana")
            number: 5
            image: "banana_state_style_Dark.png"
        }
        ListElement{
            name: qsTr("Croissant")
            number: 2
            image: "croissant_state_style_Dark.png"
        }
        ListElement{
            name: qsTr("Pizza")
            number: 2
            image: "pizza_state_style_Dark.png"
        }
        ListElement{
            name: qsTr("Steak")
            number: 2
            image: "steak_state_style_Dark.png"
        }
        ListElement{
            name: qsTr("Eggs")
            number: 12
            image: "egg_state_style_Dark.png"
        }
        ListElement{
            name: qsTr("Cheese")
            number: 2
            image: "cheese_state_style_Dark.png"
        }
        ListElement{
            name: qsTr("Tomato")
            number: 9
            image: "tomato_state_style_Dark.png"
        }
        ListElement{
            name: qsTr("Carrot")
            number: 11
            image: "carrot_state_style_Dark.png"
        }
        ListElement{
            name: qsTr("Garlic")
            number: 3
            image: "garlic_state_style_Dark.png"
        }
        ListElement{
            name: qsTr("Lemon")
            number: 4
            image: "lemon_state_style_Dark.png"
        }
        ListElement{
            name: qsTr("Avocado")
            number: 6
            image: "avocado_state_style_Dark.png"
        }
        ListElement{
            name: qsTr("Butter")
            number: 1
            image: "butter_state_style_Dark.png"
        }
        ListElement{
            name: qsTr("Chicken thigh")
            number: 3
            image: "chicken_state_style_Dark.png"
        }
        ListElement{
            name: qsTr("Watermelon")
            number: 1
            image: "watermelon_state_style_Dark.png"
        }
        ListElement{
            name: qsTr("Potato")
            number: 10
            image: "potato_state_style_Dark.png"
        }
        ListElement{
            name: qsTr("Cucumber")
            number: 2
            image: "cucumber_state_style_Dark.png"
        }
        ListElement{
            name: qsTr("Eggplant")
            number: 2
            image: "eggplant_state_style_Dark.png"
        }

    }


    GridView{
        id: flickable
        x: 168
        y: 990
        width: 800
        height: 750
        contentWidth: 744
        contentHeight: 1280        
        cellWidth: 185
        cellHeight: 250
        clip: true
        flickableDirection: Flickable.VerticalFlick
        boundsMovement: Flickable.StopAtBounds
        boundsBehavior: Flickable.StopAtBounds
        model: storageModel
        delegate: StorageElement{

            foodName: name
            itemsCount: number
            imageSource: image

            onSelected: {
                storagePopup.fridgeItem = name
                storagePopup.itemSource = image
                storagePopup.open()

            }
        }

        ScrollBar.vertical: ScrollBar {
            anchors.top: flickable.top
            anchors.bottom: flickable.bottom
            policy: ScrollBar.AlwaysOn

            background:  Rectangle {
                  implicitWidth: 4
                  color: "#1affffff"
                  radius: 4
              }

              contentItem: Rectangle {
                  implicitWidth: 4
                  color: "#ffffff"
                  radius: 4
              }
        }
    }





    StoragePopup{
        id: storagePopup
        y: -120

    }

    function openDoors(){

         model.openDoors()
    }

    function closeDoors(){

        model.closeDoors();
    }


}
