import QtQuick
import QtQuick.Controls
import "./FridgeExport"

Item {
    id: root
    width: 1080
    height: 1920

    property alias fridgeItem: control_panel.fridgeItem
    property alias itemSource: control_panel.itemSource

    state: "hidden"

    Rectangle{

        id: background
        color: "#000000"
        opacity: 0
        anchors.fill: parent

        MouseArea{

            anchors.fill: parent
            enabled: root.state==="shown"

        }

    }


    Item{
        id: contentBox
        width: control_panel.width
        height: control_panel.height
        anchors.centerIn: parent

        Modal{
            id: control_panel
            anchors.centerIn: parent
            opacity: 0
            scale: 0.1
            onCloseSelected: {

                root.close()
            }
            onItemAdded: {

                manager.addItemToShoppingList()

            }
        }
    }
    states: [
        State {
            name: "hidden"
            PropertyChanges {
                target: background
                opacity: 0
            }
            PropertyChanges {
                target: control_panel
                opacity:  0
            }
            PropertyChanges {
                target: control_panel
                scale:  0.1
            }
        },
        State {
            name: "shown"
            PropertyChanges {
                target: background
                opacity: 0.95
            }
            PropertyChanges {
                target: control_panel
                opacity:  1
            }
            PropertyChanges {
                target: control_panel
                scale:  1
            }
        }
    ]


    transitions: Transition {
        NumberAnimation { properties: "opacity, scale"; duration: 750 }

    }


    function open(){

        control_panel.state = "state_property_1_Default"
        root.state = "shown"
    }


    function close(){

        root.state = "hidden"
    }

}
