#ifndef BTMANAGER_H
#define BTMANAGER_H

#include <QObject>
#include <QLowEnergyController>
#include <QLowEnergyService>
#include <QBluetoothServiceInfo>
#include <QLowEnergyServiceData>
#include <QLowEnergyAdvertisingData>
#include <QLowEnergyCharacteristicData>
#include <QLowEnergyDescriptorData>
#include <QLowEnergyAdvertisingParameters>

#define BT_SERVICE_UUID "b8e10f94-1a70-4b27-9ccf-02010264e9c0"
#define BT_CHAR_FRIDGE_TEMPERATURE_UUID "b8e10f94-1a70-4b27-9ccf-02010264e9c2"
#define BT_CHAR_ADD_SHOPPING_LIST_UUID "b8e10f94-1a70-4b27-9ccf-02010264e9c7"


class BtManager : public QObject
{
    Q_OBJECT
public:

    explicit BtManager(QObject *parent = nullptr);

public slots:
    void initialize();
    void onErrorOccurred(QLowEnergyController::Error code);
    void advertise();
    void onCharacteristicChanged(const QLowEnergyCharacteristic &characteristic, const QByteArray &newValue);
    void setFridgeTemperature(int index, int value);
      void addItemToShoppingList();

signals:
    void fridgeTemperatureUpdated(int index, int value);

private:
    QLowEnergyController *m_controller;
    QLowEnergyService *m_service;
    QLowEnergyServiceData serviceData;
    QLowEnergyAdvertisingData advertisingData;
    QBluetoothUuid m_temperature_characteristic_uuid;

};

#endif // BTMANAGER_H
