#ifndef MANAGER_H
#define MANAGER_H

#include <QObject>
#include <QDate>
#include <QTime>


class MqttManager;

class Manager : public QObject
{
    Q_OBJECT
public:
    explicit Manager(QObject *parent = nullptr);
    ~Manager();

public slots:
    void setFridgeTemperature(int index, int value);
    void addItemToShoppingList();
    void printShoppingList();

    void onValueUpdated(const QString topic, const QByteArray &newValue);

signals:
    void fridgeTemperatureUpdated(int index, int value);
    void dateTimeUpdated(QString date, QString time);
    void currencyChanged(int index);
    void temperatureUnitChanged(int index);

private:


    MqttManager *m_mqtt_manager = Q_NULLPTR;

};

#endif // MANAGER_H
