#ifndef MQTTMANAGER_H
#define MQTTMANAGER_H

#include <QObject>
#include <QTimer>
#include <QMqttClient>
#include <QHostAddress>

#define TOPIC_TEMPERATURE_PROFILE  "TemperatureProfile"
#define TOPIC_ROOM_TEMPERATURE  "RoomTemperature"
#define TOPIC_FRIDGE_TEMPERATURE  "FridgeTemperature"
#define TOPIC_DISHWASHER_DATA  "DishwasherData"
#define TOPIC_DISHWASHER_STATUS  "DishwasherStatus"
#define TOPIC_SHORTCUT_VALUE  "ShortcutValue"
#define TOPIC_ORDER_CARTRIDGE  "OrderCartridge"
#define TOPIC_ADD_SHOPPING_LIST  "AddShoppingList"
#define TOPIC_UPDATE_DATE_TIME  "UpdateDateTime"
#define TOPIC_PRINT_SHOPPING_LIST "PrintShoppingList"
#define TOPIC_ENERGY_MANAGEMENT_DATA "EnergyManagementData"
#define TOPIC_ENERGY_MANAGEMENT_FLOW_DIRECTION "EnergyManagementFlowDirection"
#define TOPIC_LANGUAGE_VALUE "LanguageValue"
#define TOPIC_TEMPERATURE_UNIT "TemperatureUnit"
#define TOPIC_CURRENCY_UNIT "CurrencyUnit"


class MqttManager : public QObject
{
    Q_OBJECT
public:
    explicit MqttManager(QObject *parent = nullptr);

public slots:
    void onStateChanged(QMqttClient::ClientState state);
    void onMessageReceived(const QByteArray &message, const QMqttTopicName &topic);
    void subscribeToTopics(QStringList topics);
    void writeValue(QString topic, QByteArray value, bool retain = true);

signals:

    void valueUpdated(QString topic, QByteArray newValue);

private:
    QMqttClient *m_client;

};

#endif // MQTTMANAGER_H
